Deleted and Superseded Programming Elements

The following table provides a list of 16-bit Windows API elements that are not necessary or were superseded in the Win32 API.

16-bit Windows API Element | Win32 API Support
AccessResource | No equivalent.
AllocDSToCSAlias | No equivalent.
AllocResource | No equivalent.
AllocSelector | No equivalent.
ChangeMenu | Replaced by the AppendMenu, InsertMenu, ModifyMenu, and RemoveMenu functions.
ChangeSelector | No equivalent.
CloseSound | Replaced by multimedia sound support.
CountVoiceNotes | Replaced by multimedia sound support.
DECLARE_HANDLE | No equivalent.
DefineHandleTable | No equivalent.
DeviceMode | Replaced by the DocumentProperties function.
DlgDirSelect | Replaced by the DlgDirSelectEx function.
DlgDirSelectComboBox | Replaced by the DlgDirSelectComboBoxEx function.
DOS3Call | Replaced by named, portable functions.
ExtDeviceMode | Replaced by the DocumentProperties function.
FIELDOFFSET | No equivalent.
FlushComm | Replaced by the PurgeComm function.
FreeSelector | No equivalent.
GCW_HCURSOR | Replaced by GCL_HCURSOR.
GCW_HBRBACKGROUND | Replaced by GCL_HBRBACKGROUND.
GCW_HICON | Replaced by GCL_HICON.
GetAspectRatioFilter | Replaced by the GetAspectRatioFilterEx function.
GetBitmapDimension | Replaced by the GetBitmapDimensionEx function.
GetBrushOrg | Replaced by the GetBrushOrgEx function.
GetCodeHandle | No equivalent.
GetCodeInfo | No equivalent.
GetCommError | Replaced by the GetCommState function.
GetCurrentPDB | No equivalent.
GetCurrentPosition | Replaced by the GetCurrentPositionEx function.
GetDCOrg | Replaced by the GetDCOrgEx function.
GetDOSEnvironment | No equivalent.
GetEnvironment | No equivalent.
GetFreeSpace | Replaced by the GlobalMemoryStatus function.
GetFreeSystemResources | Replaced by the GlobalMemoryStatus function.
GetInstanceData | No equivalent; use an IPC mechanism.
GetKBCodePage | No equivalent.
GetMetaFileBits | Replaced by the GetEnhMetaFileBits function.
GetSystemDebugState | No equivalent.
GetTempDrive | Replaced by the GetTempPath function.
GetTextExtent | Replaced by the GetTextExtentPoint32 function.
GetTextExtentEx | Replaced by the GetTextExtentExPoint function.
GetThresholdEvent | Replaced by multimedia sound support.
GetThresholdStatus | Replaced by multimedia sound support.
GetViewportExt | Replaced by the GetViewportExtEx function.
GetViewportOrg | Replaced by the GetViewportOrgEx function.
GetWindowExt | Replaced by the GetWindowExtEx function.
GetWindowOrg | Replaced by the GetWindowOrgEx function.
GetWinFlags | No equivalent.
GlobalCompact | No equivalent.
GlobalDiscard | No equivalent.
GlobalDosAlloc | No equivalent.
GlobalDosFree | No equivalent.
GlobalFix | No equivalent.
GlobalLRUNewest | No equivalent.
GlobalLRUOldest | No equivalent.
GlobalNotify | No equivalent.
GlobalPageLock | No equivalent.
GlobalPageUnlock | No equivalent.
GlobalUnfix | No equivalent.
GlobalUnwire | No equivalent.
GlobalWire | No equivalent.
GWW_HINSTANCE | Replaced by GWL_HINSTANCE.
GWW_HWNDPARENT | Replaced by GWL_HWNDPARENT.
GWW_ID | Replaced by GWL_ID.
GWW_USERDATA | Replaced by GWL_USERDATA.
IsGDIObject | No equivalent.
LimitEmsPages | No equivalent.
LocalCompact | No equivalent.
LocalDiscard | No equivalent.
LocalInit | No equivalent.
LocalNotify | No equivalent.
LocalShrink | No equivalent.
LockData | No equivalent.
LockInput | No equivalent.
LockSegment | No equivalent.
MAKELP | No equivalent.
MAKEPOINT | No equivalent.
MoveTo | Replaced by the MoveToEx function.
NetBIOSCall | Replaced by the Netbios function.
OFFSETOF | No equivalent.
OffsetViewportOrg | Replaced by the OffsetViewportOrgEx function.
OffsetWindowOrg | Replaced by the OffsetWindowOrgEx function.
OpenComm | Replaced by the CreateFile function.
OpenSound | Replaced by multimedia sound support.
ProfClear | No equivalent.
ProfFinish | No equivalent.
ProfFlush | No equivalent.
ProfInsChk | No equivalent.
ProfSampRate | No equivalent.
ProfSetup | No equivalent.
ProfStart | No equivalent.
ProfStop | No equivalent.
READ | Replaced by OF_READ.
ReadComm | Replaced by the ReadFile function.
READ_WRITE | Replaced by OF_READ_WRITE.
ScaleViewportExt | Replaced by the ScaleViewportExtEx function.
ScaleWindowExt | Replaced by the ScaleWindowExtEx function.
SEGINFO | No equivalent.
SELECTOROF | No equivalent.
SetBitmapDimension | Replaced by the SetBitmapDimensionEx function.
SetCommEventMask | Replaced by the SetCommMask function.
SetEnvironment | No equivalent.
SetMetaFileBits | Replaced by the SetEnhMetaFileBits function.
SetResourceHandler | No equivalent.
SetSoundNoise | Replaced by multimedia sound support.
SetSwapAreaSize | No equivalent.
SetViewportExt | Replaced by the SetViewportExtEx function.
SetViewportOrg | Replaced by the SetViewportOrgEx function.
SetVoiceAccent | Replaced by multimedia sound support.
SetVoiceEnvelope | Replaced by multimedia sound support.
SetVoiceNote | Replaced by multimedia sound support.
SetVoiceQueueSize | Replaced by multimedia sound support.
SetVoiceSound | Replaced by multimedia sound support.
SetVoiceThreshold | Replaced by multimedia sound support.
SetWindowExt | Replaced by the SetWindowExtEx function.
SetWindowOrg | Replaced by the SetWindowOrgEx function.
StartSound | Replaced by multimedia sound support.
StopSound | Replaced by multimedia sound support.
SwitchStackBack | No equivalent.
SwitchStackTo | No equivalent.
SyncAllVoices | Replaced by multimedia sound support.
UngetCommChar | No equivalent.
UnlockData | No equivalent.
UnlockResource | No equivalent.
UnlockSegment | No equivalent.
ValidateCodeSegments | No equivalent.
ValidateFreeSpaces | No equivalent.
WaitSoundState | Replaced by multimedia sound support.
WM_CTLCOLOR Replaced by the following messages:
WM_CTLCOLORBTN
WM_CTLCOLORDLG
WM_CTLCOLOREDIT
WM_CTLCOLORLISTBOX
WM_CTLCOLORMSGBOX
WM_CTLCOLORSCROLLBAR
WM_CTLCOLORSTATIC
WRITE | Replaced by OF_WRITE.
WriteComm | Replaced by the WriteFile function.


Win32 Functions in Alpha Order

In earlier versions of the Platform SDK, the Win32 functions appeared in the Reference node in alphabetical order. These functions now appear in the reference nodes of their corresponding overviews. For more information, see Contents of the Platform SDK.

The following topics provide a list of the Win32 functions in alphabetical order.

  • _ Functions
  • A Functions
  • B Functions
  • C Functions
  • D Functions
  • E Functions
  • F Functions
  • G Functions
  • H Functions
  • I Functions
  • J Functions
  • K Functions
  • L Functions
  • M Functions
  • N Functions
  • O Functions
  • P Functions
  • Q Functions
  • R Functions
  • S Functions
  • T Functions
  • U Functions
  • V Functions
  • W Functions
  • Y Functions
  • Z Functions


_ Functions

_hread

_hwrite

_lclose

_lcreat

_llseek

_lopen

_lread

_lwrite


A Functions

AbnormalTermination

AbortDoc

AbortPath

AbortPrinter

AbortProc

AbortSystemShutdown

AccessCheck

AccessCheckAndAuditAlarm

AccessCheckByType

AccessCheckByTypeAndAuditAlarm

AccessCheckByTypeResultList

AccessCheckByTypeResultListAndAuditAlarm

AcsLan

ActivateKeyboardLayout

AddAccessAllowedAce

AddAccessAllowedAceEx

AddAccessAllowedObjectAce

AddAccessDeniedAce

AddAccessDeniedAceEx

AddAccessDeniedObjectAce

AddAce

AddAtom

AddAuditAccessAce

AddAuditAccessAceEx

AddAuditAccessObjectAce

AddFontResource

AddForm

AddJob

AddMonitor

AddPort

AddPrinter

AddPrinterConnection

AddPrinterDriver

AddPrinterDriverEx

AddPrintProcessor

AddPrintProvidor

AdjustTokenGroups

AdjustTokenPrivileges

AdjustWindowRect

AdjustWindowRectEx

AdvancedDocumentProperties

AllocateAndInitializeSid

AllocateLocallyUniqueId

AllocConsole

AlphaBlend

AngleArc

AnimatePalette

AnimateWindow

AnsiLower

AnsiLowerBuff

AnsiNext

AnsiPrev

AnsiToOem

AnsiToOemBuff

AnsiUpper

AnsiUpperBuff

AnyPopup

AppendMenu

ApplyCallbackFunction

Arc

ArcTo

AreAllAccessesGranted

AreAnyAccessesGranted

AreFileApisANSI

ArrangeIconicWindows

AssignProcessToJobObject

AssociateColorProfileWithDevice

AttachThreadInput


B Functions

BackupEventLog

BackupRead

BackupSeek

BackupWrite

Beep

BeginDeferWindowPos

BeginPaint

BeginPath

BeginUpdateResource

BindImage

BindImageEx

BitBlt

BringWindowToTop

BroadcastSystemMessage

BuildCommDCB

BuildCommDCBAndTimeouts

BuildExplicitAccessWithName

BuildImpersonateExplicitAccessWithName

BuildImpersonateTrustee

BuildSecurityDescriptor

BuildTrusteeWithName

BuildTrusteeWithSid


C Functions

CallMsgFilter

CallNamedPipe

CallNextHookEx

CallWindowProc

CallWndProc

CallWndRetProc

CancelDC

CancelDeviceWakeupRequest

CancelIo

CancelOverlappedAccess

CancelWaitableTimer

CascadeWindows

CBTProc

CCHookProc

CFHookProc

ChangeClipboardChain

ChangeDisplaySettings

ChangeDisplaySettingsEx

ChangeServiceConfig

ChangeServiceConfig2

CharLower

CharLowerBuff

CharNext

CharNextExA

CharPrev

CharPrevExA

CharToOem

CharToOemBuff

CharUpper

CharUpperBuff

CheckBitmapBits

CheckColors

CheckColorsInGamut

CheckDlgButton

CheckMenuItem

CheckMenuRadioItem

CheckRadioButton

CheckSumMappedFile

CheckTokenMembership

ChildWindowFromPoint

ChildWindowFromPointEx

ChooseColor

ChooseFont

Chord

ClearCommBreak

ClearCommError

ClearEventLog

ClientToScreen

ClipCursor

CloseClipboard

CloseColorProfile

CloseDesktop

CloseEnhMetaFile

CloseEventLog

CloseFigure

CloseHandle

CloseMetaFile

ClosePrinter

CloseRaw

CloseServiceHandle

CloseWindow

CloseWindowStation

CMCheckColors

CMCheckColorsInGamut

CMCheckRGBs

CMConvertColorNameToIndex

CMConvertIndexToColorName

CMCreateDeviceLinkProfile

CMCreateMultiProfileTransform

CMCreateProfile

CMCreateProfileW

CMCreateTransform

CMCreateTransformExt

CMCreateTransformExtW

CMCreateTransformW

CMDeleteTransform

CMGetInfo

CMGetNamedProfileInfo

CMGetPS2ColorRenderingDictionary

CMGetPS2ColorRenderingIntent

CMGetPS2ColorSpaceArray

CMIsProfileValid

CMTranslateColors

CMTranslateRGB

CMTranslateRGBs

CMTranslateRGBsExt

ColorCorrectPalette

ColorMatchToTarget

CombineRgn

CombineTransform

CommandLineToArgvW

CommConfigDialog

CommDlgExtendedError

CompareFileTime

CompareString

ConfigurePort

ConnectNamedPipe

ConnectToPrinterDlg

ContinueDebugEvent

ControlService

ConvertAccessToSecurityDescriptor

ConvertColorNameToIndex

ConvertDefaultLocale

ConvertIndexToColorName

ConvertSecurityDescriptorToAccess

ConvertSecurityDescriptorToAccessNamed

ConvertThreadToFiber

ConvertToAutoInheritPrivateObjectSecurity

CopyAcceleratorTable

CopyCursor

CopyEnhMetaFile

CopyFile

CopyFileEx

CopyIcon

CopyImage

CopyLZFile

CopyMemory

CopyMemoryVlm

CopyMetaFile

CopyProgressRoutine

CopyRect

CopySid

CountClipboardFormats

CreateAcceleratorTable

CreateBitmap

CreateBitmapIndirect

CreateBrushIndirect

CreateCaret

CreateColorSpace

CreateColorTransform

CreateCompatibleBitmap

CreateCompatibleDC

CreateConsoleScreenBuffer

CreateCursor

CreateDC

CreateDesktop

CreateDeviceLinkProfile

CreateDialog

CreateDialogIndirect

CreateDialogIndirectParam

CreateDialogParam

CreateDIBitmap

CreateDIBPatternBrush

CreateDIBPatternBrushPt

CreateDIBSection

CreateDirectory

CreateDirectoryEx

CreateDiscardableBitmap

CreateEllipticRgn

CreateEllipticRgnIndirect

CreateEnhMetaFile

CreateEvent

CreateFiber

CreateFile

CreateFileMapping

CreateFont

CreateFontIndirect

CreateHalftonePalette

CreateHardLink

CreateHatchBrush

CreateIC

CreateIcon

CreateIconFromResource

CreateIconFromResourceEx

CreateIconIndirect

CreateIoCompletionPort

CreateJobObject

CreateMailslot

CreateMDIWindow

CreateMenu

CreateMetaFile

CreateMultiProfileTransform

CreateMutex

CreateNamedPipe

CreatePalette

CreatePatternBrush

CreatePen

CreatePenIndirect

CreatePipe

CreatePolygonRgn

CreatePolyPolygonRgn

CreatePopupMenu

CreatePrivateObjectSecurity

CreatePrivateObjectSecurityEx

CreateProcess

CreateProcessAsUser

CreateProfileFromLogColorSpace

CreateRectRgn

CreateRectRgnIndirect

CreateRemoteThread

CreateRestrictedToken

CreateRoundRectRgn

CreateScalableFontResource

CreateSemaphore

CreateService

CreateSolidBrush

CreateTapePartition

CreateThread

CreateToolhelp32Snapshot

CreateWaitableTimer

CreateWindow

CreateWindowEx

CreateWindowStation


D Functions

DdeAbandonTransaction

DdeAccessData

DdeAddData

DdeCallback

DdeClientTransaction

DdeCmpStringHandles

DdeConnect

DdeConnectList

DdeCreateDataHandle

DdeCreateStringHandle

DdeDisconnect

DdeDisconnectList

DdeEnableCallback

DdeFreeDataHandle

DdeFreeStringHandle

DdeGetData

DdeGetLastError

DdeImpersonateClient

DdeInitialize

DdeKeepStringHandle

DdeNameService

DdePostAdvise

DdeQueryConvInfo

DdeQueryNextServer

DdeQueryString

DdeReconnect

DdeSetQualityOfService

DdeSetUserHandle

DdeUnaccessData

DdeUninitialize

DebugActiveProcess

DebugBreak

DebugProc

DecryptFile

DefDlgProc

DeferWindowPos

DefFrameProc

DefHookProc

DefineDosDevice

DefineHandleTable

DefMDIChildProc

DefWindowProc

DeleteAce

DeleteAtom

DeleteColorSpace

DeleteColorTransform

DeleteCriticalSection

DeleteDC

DeleteEnhMetaFile

DeleteFiber

DeleteFile

DeleteForm

DeleteMenu

DeleteMetaFile

DeleteMonitor

DeleteObject

DeletePort

DeletePrinter

DeletePrinterConnection

DeletePrinterData

DeletePrinterDataEx

DeletePrinterDriver

DeletePrinterDriverEx

DeletePrinterKey

DeletePrintProcessor

DeletePrintProvidor

DeleteService

DeregisterEventSource

DestroyAcceleratorTable

DestroyCaret

DestroyCursor

DestroyIcon

DestroyMenu

DestroyPrivateObjectSecurity

DestroyWindow

DeviceCapabilities

DeviceIoControl

DialogBox

DialogBoxIndirect

DialogBoxIndirectParam

DialogBoxParam

DialogProc

DisableThreadLibraryCalls

DisassociateColorProfileFromDevice

DisconnectNamedPipe

DispatchMessage

DlgDirList

DlgDirListComboBox

DlgDirSelectComboBoxEx

DlgDirSelectEx

DllMain

DocumentProperties

DosDateTimeToFileTime

DPtoLP

DragDetect

DrawAnimatedRects

DrawCaption

DrawEdge

DrawEscape

DrawFocusRect

DrawFrameControl

DrawIcon

DrawIconEx

DrawMenuBar

DrawState

DrawStateProc

DrawText

DrawTextEx

DsGetDcName

DsGetSiteName

DsValidateSubnetName

DuplicateHandle

DuplicateToken

DuplicateTokenEx


E Functions

EditStreamCallback

EditWordBreakProc

EditWordBreakProcEx

Ellipse

EmptyClipboard

EnableMenuItem

EnableScrollBar

EnableWindow

EncryptFile

EndDeferWindowPos

EndDialog

EndDoc

EndDocPrinter

EndPage

EndPagePrinter

EndPaint

EndPath

EndUpdateResource

EnhMetaFileProc

EnterCriticalSection

EnumCalendarInfo

EnumCalendarInfoEx

EnumCalendarInfoProc

EnumCalendarInfoProcEx

EnumChildProc

EnumChildWindows

EnumClipboardFormats

EnumCodePagesProc

EnumColorProfiles

EnumDateFormats

EnumDateFormatsProc

EnumDependentServices

EnumDesktopProc

EnumDesktops

EnumDesktopWindows

EnumDisplayDevices

EnumDisplayMonitors

EnumDisplaySettings

EnumEnhMetaFile

EnumFontFamExProc

EnumFontFamilies

EnumFontFamiliesEx

EnumFontFamProc

EnumFonts

EnumFontsProc

EnumForms

EnumICMProfiles

EnumICMProfilesProcCallback

EnumJobs

EnumLocalesProc

EnumMetaFile

EnumMetaFileProc

EnumMonitors

EnumObjects

EnumObjectsProc

EnumPorts

EnumPrinterData

EnumPrinterDataEx

EnumPrinterDrivers

EnumPrinterKey

EnumPrinters

EnumPrintProcessorDatatypes

EnumPrintProcessors

EnumProps

EnumPropsEx

EnumRegisterWordProc

EnumResLangProc

EnumResNameProc

EnumResourceLanguages

EnumResourceNames

EnumResourceTypes

EnumResTypeProc

EnumServicesStatus

EnumSystemCodePages

EnumSystemLocales

EnumTaskWindows

EnumThreadWindows

EnumThreadWndProc

EnumTimeFormats

EnumTimeFormatsProc

EnumWindows

EnumWindowsProc

EnumWindowStationProc

EnumWindowStations

EqualPrefixSid

EqualRect

EqualRgn

EqualSid

EraseTape

Escape

EscapeCommFunction

ExcludeClipRect

ExcludeUpdateRgn

ExitProcess

ExitThread

ExitWindows

ExitWindowsEx

ExpandEnvironmentStrings

ExportCallback

ExtCreatePen

ExtCreateRegion

ExtEscape

ExtFloodFill

ExtractAssociatedIcon

ExtractIcon

ExtractIconEx

ExtSelectClipRgn

ExtTextOut


F Functions

FatalAppExit

FatalExit

FiberProc

FileIOCompletionRoutine

FileTimeToDosDateTime

FileTimeToLocalFileTime

FileTimeToSystemTime

FillConsoleOutputAttribute

FillConsoleOutputCharacter

FillMemory

FillMemoryVlm

FillPath

FillRect

FillRgn

FindAtom

FindClose

FindCloseChangeNotification

FindClosePrinterChangeNotification

FindDebugInfoFile

FindExecutableImage

FindFirstChangeNotification

FindFirstFile

FindFirstFileEx

FindFirstFreeAce

FindFirstPrinterChangeNotification

FindNextChangeNotification

FindNextFile

FindNextPrinterChangeNotification

FindResource

FindResourceEx

FindText

FindWindow

FindWindowEx

FixBrushOrgEx

FlashWindow

FlashWindowEx

FlattenPath

FloodFill

FlushConsoleInputBuffer

FlushFileBuffers

FlushInstructionCache

FlushViewOfFile

FoldString

ForegroundIdleProc

FormatMessage

FrameRect

FrameRgn

FreeConsole

FreeDDElParam

FreeEnvironmentStrings

FreeLibrary

FreeLibraryAndExitThread

FreeModule

FreePrinterNotifyInfo

FreeProcInstance

FreeResource

FreeSid

FRHookProc


G Functions

GdiComment

GdiFlush

GdiGetBatchLimit

GdiSetBatchLimit

GenerateConsoleCtrlEvent

GetAccessPermissionsForObject

GetAce

GetAclInformation

GetACP

GetActiveWindow

GetArcDirection

GetAspectRatioFilterEx

GetAsyncKeyState

GetAtomName

GetAuditedPermissionsFromAcl

GetBinaryType

GetBitmapBits

GetBitmapDimensionEx

GetBkColor

GetBkMode

GetBoundsRect

GetBrushOrgEx

GetCapture

GetCaretBlinkTime

GetCaretPos

GetCharABCWidths

GetCharABCWidthsFloat

GetCharacterPlacement

GetCharWidth

GetCharWidth32

GetCharWidthFloat

GetClassInfo

GetClassInfoEx

GetClassLong

GetClassName

GetClassWord

GetClientRect

GetClipboardData

GetClipboardFormatName

GetClipboardOwner

GetClipboardSequenceNumber

GetClipboardViewer

GetClipBox

GetClipCursor

GetClipRgn

GetCMMInfo

GetColorAdjustment

GetColorDirectory

GetColorProfileElement

GetColorProfileElementTag

GetColorProfileFromHandle

GetColorProfileHeader

GetColorSpace

GetCommandLine

GetCommConfig

GetCommMask

GetCommModemStatus

GetCommProperties

GetCommState

GetCommTimeouts

GetCompressedFileSize

GetComputerName

GetConsoleCP

GetConsoleCursorInfo

GetConsoleMode

GetConsoleOutputCP

GetConsoleScreenBufferInfo

GetConsoleTitle

GetCountColorProfileElements

GetCPInfo

GetCPInfoEx

GetCurrencyFormat

GetCurrentDirectory

GetCurrentFiber

GetCurrentHwProfile

GetCurrentObject

GetCurrentPositionEx

GetCurrentProcess

GetCurrentProcessId

GetCurrentThread

GetCurrentThreadId

GetCurrentTime

GetCursor

GetCursorPos

GetDateFormat

GetDC

GetDCBrushColor

GetDCEx

GetDCOrgEx

GetDCPenColor

GetDefaultCommConfig

GetDesktopWindow

GetDeviceCaps

GetDeviceGammaRamp

GetDevicePowerState

GetDialogBaseUnits

GetDIBColorTable

GetDIBits

GetDiskFreeSpace

GetDiskFreeSpaceEx

GetDlgCtrlID

GetDlgItem

GetDlgItemInt

GetDlgItemText

GetDoubleClickTime

GetDriveType

GetEffectiveRightsFromAcl

GetEnhMetaFile

GetEnhMetaFileBits

GetEnhMetaFileDescription

GetEnhMetaFileHeader

GetEnhMetaFilePaletteEntries

GetEnvironmentStrings

GetEnvironmentVariable

GetExceptionCode

GetExceptionInformation

GetExitCodeProcess

GetExitCodeThread

GetExpandedName

GetExplicitEntriesFromAcl

GetFiberData

GetFileAttributes

GetFileAttributesEx

GetFileInformationByHandle

GetFileSecurity

GetFileSize

GetFileTime

GetFileTitle

GetFileType

GetFileVersionInfo

GetFileVersionInfoSize

GetFocus

GetFontData

GetFontLanguageInfo

GetFontUnicodeRanges

GetForegroundWindow

GetForm

GetFreeSpace

GetFullPathName

GetGlyphIndices

GetGlyphOutline

GetGraphicsMode

GetGuiResources

GetHandleInformation

GetICMProfile

GetIconInfo

GetImageConfigInformation

GetImageUnusedHeaderBytes

GetInputState

GetJob

GetKBCodePage

GetKernelObjectSecurity

GetKerningPairs

GetKeyboardLayout

GetKeyboardLayoutList

GetKeyboardLayoutName

GetKeyboardState

GetKeyboardType

GetKeyNameText

GetKeyState

GetLargestConsoleWindowSize

GetLastActivePopup

GetLastError

GetLengthSid

GetLocaleInfo

GetLocalTime

GetLogColorSpace

GetLogicalDrives

GetLogicalDriveStrings

GetLongPathName

GetMailslotInfo

GetMapMode

GetMenu

GetMenuCheckMarkDimensions

GetMenuDefaultItem

GetMenuItemCount

GetMenuItemID

GetMenuItemInfo

GetMenuItemRect

GetMenuState

GetMenuString

GetMessage

GetMessageExtraInfo

GetMessagePos

GetMessageTime

GetMetaFile

GetMetaFileBitsEx

GetMetaRgn

GetMiterLimit

GetModuleFileName

GetModuleHandle

GetMonitorInfo

GetMouseMovePoints

GetMsgProc

GetMultipleTrustee

GetMultipleTrusteeOperation

GetNamedPipeHandleState

GetNamedPipeInfo

GetNamedProfileInfo

GetNamedSecurityInfo

GetNamedSecurityInfoEx

GetNearestColor

GetNearestPaletteIndex

GetNextDlgGroupItem

GetNextDlgTabItem

GetNextWindow

GetNumberFormat

GetNumberOfConsoleInputEvents

GetNumberOfConsoleMouseButtons

GetNumberOfEventLogRecords

GetObject

GetObjectType

GetOEMCP

GetOldestEventLogRecord

GetOpenClipboardWindow

GetOpenFileName

GetOutlineTextMetrics

GetOverlappedAccessResults

GetOverlappedResult

GetPaletteEntries

GetParent

GetPath

GetPixel

GetPolyFillMode

GetPrinter

GetPrinterData

GetPrinterDataEx

GetPrinterDriver

GetPrinterDriverDirectory

GetPrintProcessorDirectory

GetPriorityClass

GetPriorityClipboardFormat

GetPrivateObjectSecurity

GetPrivateProfileInt

GetPrivateProfileSection

GetPrivateProfileSectionNames

GetPrivateProfileString

GetPrivateProfileStruct

GetProcAddress

GetProcessAffinityMask

GetProcessHeap

GetProcessHeaps

GetProcessPriorityBoost

GetProcessShutdownParameters

GetProcessTimes

GetProcessVersion

GetProcessWindowStation

GetProcessWorkingSetSize

GetProfileInt

GetProfileSection

GetProfileString

GetProp

GetPS2ColorRenderingDictionary

GetPS2ColorRenderingIntent

GetPS2ColorSpaceArray

GetQueuedCompletionStatus

GetQueueStatus

GetRasterizerCaps

GetRegionData

GetRgnBox

GetROP2

GetSaveFileName

GetScrollInfo

GetScrollPos

GetScrollRange

GetSecurityDescriptorControl

GetSecurityDescriptorDacl

GetSecurityDescriptorGroup

GetSecurityDescriptorLength

GetSecurityDescriptorOwner

GetSecurityDescriptorSacl

GetSecurityInfo

GetSecurityInfoEx

GetServiceDisplayName

GetServiceKeyName

GetShortPathName

GetSidIdentifierAuthority

GetSidLengthRequired

GetSidSubAuthority

GetSidSubAuthorityCount

GetStandardColorSpaceProfile

GetStartupInfo

GetStdHandle

GetStockObject

GetStretchBltMode

GetStringTypeA

GetStringTypeEx

GetStringTypeW

GetSubMenu

GetSysColor

GetSysColorBrush

GetSysModalWindow

GetSystemDefaultLangID

GetSystemDefaultLCID

GetSystemDirectory

GetSystemInfo

GetSystemMenu

GetSystemMetrics

GetSystemPaletteEntries

GetSystemPaletteUse

GetSystemPowerStatus

GetSystemTime

GetSystemTimeAdjustment

GetSystemTimeAsFileTime

GetTabbedTextExtent

GetTapeParameters

GetTapePosition

GetTapeStatus

GetTempFileName

GetTempPath

GetTextAlign

GetTextCharacterExtra

GetTextCharset

GetTextCharsetInfo

GetTextColor

GetTextExtentExPoint

GetTextExtentPoint

GetTextExtentPoint32

GetTextFace

GetTextMetrics

GetThreadContext

GetThreadDesktop

GetThreadLocale

GetThreadPriority

GetThreadPriorityBoost

GetThreadSelectorEntry

GetThreadTimes

GetTickCount

GetTimeFormat

GetTimestampForLoadedLibrary

GetTimeZoneInformation

GetTokenInformation

GetTopWindow

GetTrusteeForm

GetTrusteeName

GetTrusteeType

GetUpdateRect

GetUpdateRgn

GetUserDefaultLangID

GetUserDefaultLCID

GetUserName

GetUserObjectInformation

GetUserObjectSecurity

GetVersion

GetVersionEx

GetViewportExtEx

GetViewportOrgEx

GetVolumeInformation

GetWindow

GetWindowDC

GetWindowExtEx

GetWindowLong

GetWindowOrgEx

GetWindowPlacement

GetWindowRect

GetWindowRgn

GetWindowsDirectory

GetWindowTask

GetWindowText

GetWindowTextLength

GetWindowThreadProcessId

GetWindowWord

GetWinMetaFileBits

GetWorldTransform

GlobalAddAtom

GlobalAlloc

GlobalCompact

GlobalDeleteAtom

GlobalDiscard

GlobalFindAtom

GlobalFix

GlobalFlags

GlobalFree

GlobalGetAtomName

GlobalHandle

GlobalLock

GlobalLRUNewest

GlobalLRUOldest

GlobalMemoryStatus

GlobalMemoryStatusVlm

GlobalReAlloc

GlobalSize

GlobalUnfix

GlobalUnlock

GlobalUnWire

GlobalWire

GradientFill

GrayString


H Functions

Handler

HandlerRoutine

Heap32First

Heap32ListFirst

Heap32ListNext

Heap32Next

HeapAlloc

HeapCompact

HeapCreate

HeapDestroy

HeapFree

HeapLock

HeapReAlloc

HeapSize

HeapUnlock

HeapValidate

HeapWalk

HideCaret

HiliteMenuItem


I Functions

ICMProgressProcCallback

ImageAddCertificate

ImageDirectoryEntryToData

ImageEnumerateCertificates

ImageGetCertificateData

ImageGetCertificateHeader

ImageGetDigestStream

ImagehlpApiVersion

ImagehlpApiVersionEx

ImageLoad

ImageNtHeader

ImageRemoveCertificate

ImageRvaToSection

ImageRvaToVa

ImageUnload

ImmAssociateContext

ImmAssociateContextEx

ImmConfigureIME

ImmCreateContext

ImmDestroyContext

ImmDisableIME

ImmEnumRegisterWord

ImmEscape

ImmGetCandidateList

ImmGetCandidateListCount

ImmGetCandidateWindow

ImmGetCompositionFont

ImmGetCompositionString

ImmGetCompositionWindow

ImmGetContext

ImmGetConversionList

ImmGetConversionStatus

ImmGetDefaultIMEWnd

ImmGetDescription

ImmGetGuideLine

ImmGetIMEFileName

ImmGetImeMenuItems

ImmGetOpenStatus

ImmGetProperty

ImmGetRegisterWordStyle

ImmGetStatusWindowPos

ImmGetVirtualKey

ImmInstallIME

ImmIsIME

ImmIsUIMessage

ImmNotifyIME

ImmRegisterWord

ImmReleaseContext

ImmSetCandidateWindow

ImmSetCompositionFont

ImmSetCompositionString

ImmSetCompositionWindow

ImmSetConversionStatus

ImmSetOpenStatus

ImmSetStatusWindowPos

ImmSimulateHotKey

ImmUnregisterWord

ImpersonateDdeClientWindow

ImpersonateLoggedOnUser

ImpersonateNamedPipeClient

ImpersonateSelf

ImportCallback

InflateRect

InitAtomTable

InitializeAcl

InitializeCriticalSection

InitializeCriticalSectionAndSpinCount

InitializeSecurityDescriptor

InitializeSid

InitiateSystemShutdown

InSendMessage

InSendMessageEx

InsertMenu

InsertMenuItem

InstallColorProfile

Int32x32To64

Int64ShllMod32

Int64ShraMod32

Int64ShrlMod32

InterlockedCompareExchange

InterlockedDecrement

InterlockedExchange

InterlockedExchangeAdd

InterlockedIncrement

IntersectClipRect

IntersectRect

InvalidateRect

InvalidateRgn

InvertRect

InvertRgn

IsBadCodePtr

IsBadHugeReadPtr

IsBadHugeWritePtr

IsBadReadPtr

IsBadStringPtr

IsBadWritePtr

IsCharAlpha

IsCharAlphaNumeric

IsCharLower

IsCharUpper

IsChild

IsClipboardFormatAvailable

IsColorProfileTagPresent

IsColorProfileValid

IsDBCSLeadByte

IsDBCSLeadByteEx

IsDebuggerPresent

IsDialogMessage

IsDlgButtonChecked

IsIconic

IsMenu

IsProcessorFeaturePresent

IsRectEmpty

IsSystemResumeAutomatic

IsTextUnicode

IsTokenRestricted

IsValidAcl

IsValidCodePage

IsValidLocale

IsValidSecurityDescriptor

IsValidSid

IsWindow

IsWindowEnabled

IsWindowUnicode

IsWindowVisible

IsZoomed


J Functions

JournalPlaybackProc

JournalRecordProc


K Functions

keybd_event

KeyboardProc

KillTimer


L Functions

LCMapString

LeaveCriticalSection

LimitEmsPages

LineDDA

LineDDAProc

LineTo

LoadAccelerators

LoadBitmap

LoadCursor

LoadCursorFromFile

LoadIcon

LoadImage

LoadKeyboardLayout

LoadLibrary

LoadLibraryEx

LoadMenu

LoadMenuIndirect

LoadModule

LoadResource

LoadString

LocalAlloc

LocalCompact

LocalDiscard

LocalFileTimeToFileTime

LocalFlags

LocalFree

LocalHandle

LocalLock

LocalReAlloc

LocalShrink

LocalSize

LocalUnlock

LockFile

LockFileEx

LockResource

LockSegment

LockServiceDatabase

LockWindowUpdate

LockWorkStation

LogonUser

LookupAccountName

LookupAccountSid

LookupIconIdFromDirectory

LookupIconIdFromDirectoryEx

LookupPrivilegeDisplayName

LookupPrivilegeName

LookupPrivilegeValue

LookupSecurityDescriptorParts

LowLevelKeyboardProc

LowLevelMouseProc

LPtoDP

LSEnumProviders

LSFreeHandle

LSGetMessage

LSQuery

LSRelease

LSRequest

lstrcat

lstrcmp

lstrcmpi

lstrcpy

lstrcpyn

lstrlen

LSUpdate

LZClose

LZCopy

LZDone

LZInit

LZOpenFile

LZRead

LZSeek

LZStart


M Functions

MakeAbsoluteSD

MakeProcInstance

MakeSelfRelativeSD

MakeSureDirectoryPathExists

MapAndLoad

MapDebugInformation

MapDialogRect

MapFileAndCheckSum

MapGenericMask

MapViewOfFile

MapViewOfFileEx

MapViewOfFileVlm

MapVirtualKey

MapVirtualKeyEx

MapWindowPoints

MaskBlt

MenuItemFromPoint

MessageBeep

MessageBox

MessageBoxEx

MessageBoxIndirect

MessageProc

ModifyMenu

ModifyWorldTransform

Module32First

Module32Next

MonitorEnumProc

MonitorFromPoint

MonitorFromRect

MonitorFromWindow

mouse_event

MouseProc

MoveFile

MoveFileEx

MoveMemory

MoveMemoryVlm

MoveToEx

MoveWindow

MsgWaitForMultipleObjects

MsgWaitForMultipleObjectsEx

MulDiv

MultiByteToWideChar

MultinetGetConnectionPerformance


N Functions

NetAccessAdd

NetAccessCheck

NetAccessDel

NetAccessEnum

NetAccessGetInfo

NetAccessGetUserPerms

NetAccessSetInfo

NetAlertRaise

NetAlertRaiseEx

NetApiBufferAllocate

NetApiBufferFree

NetApiBufferReallocate

NetApiBufferSize

NetAuditClear

NetAuditRead

Netbios

NetConfigGet

NetConfigGetAll

NetConfigSet

NetConnectionEnum

NetDfsAdd

NetDfsEnum

NetDfsGetInfo

NetDfsRemove

NetDfsSetInfo

NetErrorLogClear

NetErrorLogRead

NetFileClose

NetFileEnum

NetFileGetInfo

NetGetAnyDCName

NetGetDCName

NetGetDisplayInformationIndex

NetGroupAdd

NetGroupAddUser

NetGroupDel

NetGroupDelUser

NetGroupEnum

NetGroupGetInfo

NetGroupGetUsers

NetGroupSetInfo

NetGroupSetUsers

NetHandleGetInfo

NetHandleSetInfo

NetLocalGroupAdd

NetLocalGroupAddMember

NetLocalGroupAddMembers

NetLocalGroupDel

NetLocalGroupDelMember

NetLocalGroupDelMembers

NetLocalGroupEnum

NetLocalGroupGetInfo

NetLocalGroupGetMembers

NetLocalGroupSetInfo

NetLocalGroupSetMembers

NetMessageBufferSend

NetMessageNameAdd

NetMessageNameDel

NetMessageNameEnum

NetMessageNameGetInfo

NetQueryDisplayInformation

NetRemoteTOD

NetReplExportDirAdd

NetReplExportDirDel

NetReplExportDirEnum

NetReplExportDirGetInfo

NetReplExportDirLock

NetReplExportDirSetInfo

NetReplExportDirUnlock

NetReplGetInfo

NetReplImportDirAdd

NetReplImportDirDel

NetReplImportDirEnum

NetReplImportDirGetInfo

NetReplImportDirLock

NetReplImportDirUnlock

NetReplSetInfo

NetScheduleJobAdd

NetScheduleJobDel

NetScheduleJobEnum

NetScheduleJobGetInfo

NetServerDiskEnum

NetServerEnum

NetServerGetInfo

NetServerSetInfo

NetServerTransportAdd

NetServerTransportDel

NetServerTransportEnum

NetServiceControl

NetServiceEnum

NetServiceGetInfo

NetServiceInstall

NetSessionDel

NetSessionEnum

NetSessionGetInfo

NetShareAdd

NetShareCheck

NetShareDel

NetShareEnum

NetShareGetInfo

NetShareSetInfo

NetStatisticsGet

NetStatisticsGet2

NetUseAdd

NetUseDel

NetUseEnum

NetUseGetInfo

NetUserAdd

NetUserChangePassword

NetUserDel

NetUserEnum

NetUserGetGroups

NetUserGetInfo

NetUserGetLocalGroups

NetUserModalsGet

NetUserModalsSet

NetUserSetGroups

NetUserSetInfo

NetWkstaGetInfo

NetWkstaSetInfo

NetWkstaTransportAdd

NetWkstaTransportDel

NetWkstaTransportEnum

NetWkstaUserEnum

NetWkstaUserGetInfo

NetWkstaUserSetInfo

NotifyBootConfigStatus

NotifyChangeEventLog


O Functions

ObjectCloseAuditAlarm

ObjectDeleteAuditAlarm

ObjectOpenAuditAlarm

ObjectPrivilegeAuditAlarm

OemKeyScan

OemToAnsi

OemToAnsiBuff

OemToChar

OemToCharBuff

OffsetClipRgn

OffsetRect

OffsetRgn

OffsetViewportOrgEx

OffsetWindowOrgEx

OFNHookProc

OFNHookProcOldStyle

OpenBackupEventLog

OpenClipboard

OpenColorProfile

OpenDesktop

OpenEvent

OpenEventLog

OpenFile

OpenFileMapping

OpenIcon

OpenInputDesktop

OpenJobObject

OpenJobObjectToken

OpenMutex

OpenPrinter

OpenProcess

OpenProcessToken

OpenRaw

OpenSCManager

OpenSemaphore

OpenService

OpenThreadToken

OpenWaitableTimer

OpenWindowStation

ORASADFunc

OutputDebugString

OutputProc


P Functions

PackDDElParam

PagePaintHook

PageSetupDlg

PageSetupHook

PaintDesktop

PaintRgn

PatBlt

PathToRegion

PeekConsoleInput

PeekMessage

PeekNamedPipe

Pie

PIMAGEHLP_STATUS_ROUTINE

PlayEnhMetaFile

PlayEnhMetaFileRecord

PlayMetaFile

PlayMetaFileRecord

PlgBlt

PolyBezier

PolyBezierTo

PolyDraw

Polygon

Polyline

PolylineTo

PolyPolygon

PolyPolyline

PolyTextOut

PostAppMessage

PostMessage

PostQueuedCompletionStatus

PostQuitMessage

PostThreadMessage

PrepareTape

PrintDlg

PrintDlgEx

PrinterMessageBox

PrinterProperties

PrintHookProc

PrivilegeCheck

PrivilegedServiceAuditAlarm

Process32First

Process32Next

ProcessPolicies

PropEnumProc

PropEnumProcEx

PtInRect

PtInRegion

PtVisible

PulseEvent

PurgeComm


Q Functions

QueryDosDevice

QueryInformationJobObject

QueryPerformanceCounter

QueryPerformanceFrequency

QueryServiceConfig

QueryServiceConfig2

QueryServiceLockStatus

QueryServiceObjectSecurity

QueryServiceStatus

QueueUserAPC


R Functions

RaiseException

RASADFunc

RasAdminAcceptNewConnection

RasAdminConnectionHangupNotification

RasAdminFreeBuffer

RasAdminGetErrorString

RasAdminGetIpAddressForUser

RasAdminGetUserAccountServer

RasAdminPortClearStatistics

RasAdminPortDisconnect

RasAdminPortEnum

RasAdminPortGetInfo

RasAdminReleaseIpAddress

RasAdminServerGetInfo

RasAdminUserGetInfo

RasAdminUserSetInfo

RasConnectionNotification

RasCreatePhonebookEntry

RasDeleteEntry

RasDial

RasDialDlg

RasDialFunc

RasDialFunc1

RasDialFunc2

RasEditPhonebookEntry

RasEntryDlg

RasEnumAutodialAddresses

RasEnumConnections

RasEnumDevices

RasEnumEntries

RasGetAutodialAddress

RasGetAutodialEnable

RasGetAutodialParam

RasGetConnectStatus

RasGetCountryInfo

RasGetCredentials

RasGetEntryDialParams

RasGetEntryProperties

RasGetErrorString

RasGetProjectionInfo

RasGetSubEntryHandle

RasGetSubEntryProperties

RasHangUp

RasMonitorDlg

RasPBDlgFunc

RasPhonebookDlg

RasRenameEntry

RasSecurityDialogBegin

RasSecurityDialogComplete

RasSecurityDialogEnd

RasSecurityDialogGetInfo

RasSecurityDialogReceive

RasSecurityDialogSend

RasSetAutodialAddress

RasSetAutodialEnable

RasSetAutodialParam

RasSetCredentials

RasSetEntryDialParams

RasSetEntryProperties

RasSetSubEntryProperties

RasValidateEntryName

ReadConsole

ReadConsoleInput

ReadConsoleOutput

ReadConsoleOutputAttribute

ReadConsoleOutputCharacter

ReadDirectoryChangesW

ReadEventLog

ReadFile

ReadFileEx

ReadFileScatter

ReadFileVlm

ReadPrinter

ReadProcessMemory

ReadProcessMemoryVlm

ReadRaw

RealizePalette

ReBaseImage

Rectangle

RectInRegion

RectVisible

RedrawWindow

RegCloseKey

RegConnectRegistry

RegCreateKey

RegCreateKeyEx

RegDeleteKey

RegDeleteValue

RegEnumKey

RegEnumKeyEx

RegEnumValue

RegFlushKey

RegGetKeySecurity

RegisterClass

RegisterClassEx

RegisterClipboardFormat

RegisterCMM

RegisterEventSource

RegisterHotKey

RegisterServiceCtrlHandler

RegisterWindowMessage

RegLoadKey

RegNotifyChangeKeyValue

RegOpenKey

RegOpenKeyEx

RegQueryInfoKey

RegQueryMultipleValues

RegQueryValue

RegQueryValueEx

RegReplaceKey

RegRestoreKey

RegSaveKey

RegSetKeySecurity

RegSetValue

RegSetValueEx

RegUnLoadKey

ReleaseCapture

ReleaseDC

ReleaseMutex

ReleaseSemaphore

RemoveDirectory

RemoveFontResource

RemoveMenu

RemovePrivateCvSymbolic

RemoveProp

RemoveRelocations

ReplaceText

ReplyMessage

ReportEvent

RequestDeviceWakeup

RequestWakeupLatency

ResetDC

ResetEvent

ResetPrinter

ResizePalette

RestoreDC

ResumeThread

ReuseDDElParam

RevertToSelf

RoundRect


S Functions

SaveDC

ScaleViewportExtEx

ScaleWindowExtEx

ScheduleJob

ScreenToClient

ScrollConsoleScreenBuffer

ScrollDC

ScrollWindow

ScrollWindowEx

SearchPath

SearchTreeForFile

SelectClipPath

SelectClipRgn

SelectCMM

SelectObject

SelectPalette

SendAsyncProc

SendDlgItemMessage

SendInput

SendMessage

SendMessageCallback

SendMessageTimeout

SendNotifyMessage

ServiceMain

SetAbortProc

SetAclInformation

SetActiveWindow

SetArcDirection

SetBitmapBits

SetBitmapDimensionEx

SetBkColor

SetBkMode

SetBoundsRect

SetBrushOrgEx

SetCapture

SetCaretBlinkTime

SetCaretPos

SetClassLong

SetClassWord

SetClipboardData

SetClipboardViewer

SetColorAdjustment

SetColorProfileElement

SetColorProfileElementReference

SetColorProfileElementSize

SetColorProfileHeader

SetColorSpace

SetCommBreak

SetCommConfig

SetCommMask

SetCommState

SetCommTimeouts

SetComputerName

SetConsoleActiveScreenBuffer

SetConsoleCP

SetConsoleCtrlHandler

SetConsoleCursorInfo

SetConsoleCursorPosition

SetConsoleMode

SetConsoleOutputCP

SetConsoleScreenBufferSize

SetConsoleTextAttribute

SetConsoleTitle

SetConsoleWindowInfo

SetCriticalSectionSpinCount

SetCurrentDirectory

SetCursor

SetCursorPos

SetDCBrushColor

SetDCPenColor

SetDebugErrorLevel

SetDefaultCommConfig

SetDeviceGammaRamp

SetDIBColorTable

SetDIBits

SetDIBitsToDevice

SetDlgItemInt

SetDlgItemText

SetDoubleClickTime

SetEndOfFile

SetEnhMetaFileBits

SetEntriesInAccessList

SetEntriesInAcl

SetEntriesInAuditList

SetEnvironmentVariable

SetErrorMode

SetEvent

SetFileApisToANSI

SetFileApisToOEM

SetFileAttributes

SetFilePointer

SetFileSecurity

SetFileTime

SetFocus

SetForegroundWindow

SetForm

SetGraphicsMode

SetHandleCount

SetHandleInformation

SetICMMode

SetICMProfile

SetImageConfigInformation

SetInformationJobObject

SetJob

SetKernelObjectSecurity

SetKeyboardState

SetLastError

SetLastErrorEx

SetLocaleInfo

SetLocalTime

SetMailslotInfo

SetMapMode

SetMapperFlags

SetMenu

SetMenuDefaultItem

SetMenuItemBitmaps

SetMenuItemInfo

SetMessageExtraInfo

SetMessageQueue

SetMessageWaitingIndicator

SetMetaFileBitsEx

SetMetaRgn

SetMiterLimit

SetNamedPipeHandleState

SetNamedSecurityInfo

SetNamedSecurityInfoEx

SetPaletteEntries

SetParent

SetPixel

SetPixelV

SetPolyFillMode

SetPort

SetPrinter

SetPrinterData

SetPrinterDataEx

SetPriorityClass

SetPrivateObjectSecurity

SetPrivateObjectSecurityEx

SetProcessAffinityMask

SetProcessPriorityBoost

SetProcessShutdownParameters

SetProcessWindowStation

SetProcessWorkingSetSize

SetProp

SetRect

SetRectEmpty

SetRectRgn

SetROP2

SetScrollInfo

SetScrollPos

SetScrollRange

SetSecurityDescriptorControl

SetSecurityDescriptorDacl

SetSecurityDescriptorGroup

SetSecurityDescriptorOwner

SetSecurityDescriptorSacl

SetSecurityInfo

SetSecurityInfoEx

SetServiceBits

SetServiceObjectSecurity

SetServiceStatus

SetStandardColorSpaceProfile

SetStdHandle

SetStretchBltMode

SetSwapAreaSize

SetSysColors

SetSysModalWindow

SetSystemCursor

SetSystemPaletteUse

SetSystemPowerState

SetSystemTime

SetSystemTimeAdjustment

SetTapeParameters

SetTapePosition

SetTextAlign

SetTextCharacterExtra

SetTextColor

SetTextJustification

SetThreadAffinityMask

SetThreadContext

SetThreadDesktop

SetThreadExecutionState

SetThreadIdealProcessor

SetThreadLocale

SetThreadPriority

SetThreadPriorityBoost

SetThreadToken

SetTimer

SetTimeZoneInformation

SetTokenInformation

SetUnhandledExceptionFilter

SetupColorMatching

SetupComm

SetupHookProc

SetUserObjectInformation

SetUserObjectSecurity

SetViewportExtEx

SetViewportOrgEx

SetVolumeLabel

SetWaitableTimer

SetWindowExtEx

SetWindowLong

SetWindowOrgEx

SetWindowPlacement

SetWindowPos

SetWindowRgn

SetWindowsHook

SetWindowsHookEx

SetWindowText

SetWindowWord

SetWinMetaFileBits

SetWorldTransform

ShellProc

ShowCaret

ShowCursor

ShowOwnedPopups

ShowScrollBar

ShowWindow

ShowWindowAsync

SignalObjectAndWait

SizeofResource

Sleep

SleepEx

SNMPAPI_CALLBACK

SnmpCleanup

SnmpClose

SnmpContextToStr

SnmpCountVbl

SnmpCreatePdu

SnmpCreateSession

SnmpCreateVbl

SnmpDecodeMsg

SnmpDeleteVb

SnmpDuplicatePdu

SnmpDuplicateVbl

SnmpEncodeMsg

SnmpEntityToStr

SnmpExtensionClose

SnmpExtensionInit

SnmpExtensionInitEx

SnmpExtensionQuery

SnmpExtensionQueryEx

SnmpExtensionTrap

SnmpFreeContext

SnmpFreeDescriptor

SnmpFreeEntity

SnmpFreePdu

SnmpFreeVbl

SnmpGetLastError

SnmpGetPduData

SnmpGetRetransmitMode

SnmpGetRetry

SnmpGetTimeout

SnmpGetTranslateMode

SnmpGetVb

SnmpMgrClose

SnmpMgrGetTrap

SnmpMgrOidToStr

SnmpMgrOpen

SnmpMgrRequest

SnmpMgrStrToOid

SnmpMgrTrapListen

SnmpOidCompare

SnmpOidCopy

SnmpOidToStr

SnmpOpen

SnmpRecvMsg

SnmpRegister

SnmpSendMsg

SnmpSetPduData

SnmpSetRetransmitMode

SnmpSetRetry

SnmpSetTimeout

SnmpSetTranslateMode

SnmpSetVb

SnmpStartup

SnmpStrToContext

SnmpStrToEntity

SnmpStrToOid

SnmpSvcGetUptime

SnmpSvcSetLogLevel

SnmpSvcSetLogType

SnmpUtilAsnAnyCpy

SnmpUtilAsnAnyFree

SnmpUtilDbgPrint

SnmpUtilMemAlloc

SnmpUtilMemFree

SnmpUtilMemReAlloc

SnmpUtilOctetsCmp

SnmpUtilOctetsCpy

SnmpUtilOctetsFree

SnmpUtilOctetsNCmp

SnmpUtilOidAppend

SnmpUtilOidCmp

SnmpUtilOidCpy

SnmpUtilOidFree

SnmpUtilOidNCmp

SnmpUtilPrintAsnAny

SnmpUtilVarBindCpy

SnmpUtilVarBindFree

SnmpUtilVarBindListCpy

SnmpUtilVarBindListFree

SoundSentryProc

SplitSymbols

StackWalk

StartDoc

StartDocPrinter

StartPage

StartPagePrinter

StartService

StartServiceCtrlDispatcher

StiCreateInstance

StretchBlt

StretchDIBits

StrokeAndFillPath

StrokePath

SubtractRect

SuspendThread

SwapMouseButton

SwitchDesktop

SwitchToFiber

SwitchToThread

SymbolRegisteredCallback

SymCleanup

SymEnumerateModules

SymEnumerateSymbols

SymEnumModulesCallback

SymEnumSymbolsCallback

SymFunctionTableAccess

SymGetModuleBase

SymGetModuleInfo

SymGetOptions

SymGetSearchPath

SymGetSymFromAddr

SymGetSymFromName

SymGetSymNext

SymGetSymPrev

SymInitialize

SymLoadModule

SymRegisterCallback

SymSetOptions

SymSetSearchPath

SymUnDName

SymUnLoadModule

SysMsgProc

SystemParametersInfo

SystemTimeToFileTime

SystemTimeToTzSpecificLocalTime


T Functions

TabbedTextOut

TerminateJobObject

TerminateProcess

TerminateThread

TextOut

Thread32First

Thread32Next

ThreadProc

TileWindows

TimerAPCProc

TimerProc

TlsAlloc

TlsFree

TlsGetValue

TlsSetValue

ToAscii

ToAsciiEx

Toolhelp32ReadProcessMemory

ToUnicode

ToUnicodeEx

TrackMouseEvent

TrackPopupMenu

TrackPopupMenuEx

TransactNamedPipe

TranslateAccelerator

TranslateBitmapBits

TranslateCharsetInfo

TranslateColors

TranslateMDISysAccel

TranslateMessage

TransmitCommChar

TransparentBlt

TrusteeAccessToObject

TryEnterCriticalSection


U Functions

UInt32x32To64

UnDecorateSymbolName

UnhandledExceptionFilter

UnhookWindowsHook

UnhookWindowsHookEx

UninstallColorProfile

UnionRect

UnloadKeyboardLayout

UnlockFile

UnlockFileEx

UnlockResource

UnlockSegment

UnlockServiceDatabase

UnMapAndLoad

UnmapDebugInformation

UnmapViewOfFile

UnmapViewOfFileVlm

UnpackDDElParam

UnrealizeObject

UnregisterClass

UnregisterCMM

UnregisterHotKey

UpdateColors

UpdateDebugInfoFile

UpdateDebugInfoFileEx

UpdateResource

UpdateWindow

UserHandleGrantAccess


V Functions

ValidateRect

ValidateRgn

VerFindFile

VerInstallFile

VerLanguageName

VerQueryValue

VirtualAlloc

VirtualAllocEx

VirtualAllocVlm

VirtualFree

VirtualFreeEx

VirtualFreeVlm

VirtualLock

VirtualProtect

VirtualProtectEx

VirtualProtectVlm

VirtualQuery

VirtualQueryEx

VirtualQueryVlm

VirtualUnlock

VkKeyScan

VkKeyScanEx


W Functions

WaitCommEvent

WaitForDebugEvent

WaitForInputIdle

WaitForMultipleObjects

WaitForMultipleObjectsEx

WaitForPrinterChange

WaitForSingleObject

WaitForSingleObjectEx

WaitMessage

WaitNamedPipe

WideCharToMultiByte

WidenPath

WindowFromDC

WindowFromPoint

WindowProc

WinExec

WinMain

WinVerifyTrust

WriteConsole

WriteConsoleInput

WriteConsoleOutput

WriteConsoleOutputAttribute

WriteConsoleOutputCharacter

WriteFile

WriteFileEx

WriteFileGather

WriteFileVlm

WritePrinter

WritePrivateProfileSection

WritePrivateProfileString

WritePrivateProfileStruct

WriteProcessMemory

WriteProcessMemoryVlm

WriteProfileSection

WriteProfileString

WriteRaw

WriteTapemark

wsprintf

wvsprintf


Y Functions

Yield


Z Functions

ZeroMemory

ZeroMemoryVlm


Win32 Functions by Category

In earlier versions of the Platform SDK, the Win32 functions appeared in the Reference node in alphabetical order. These functions now appear in the reference nodes of their corresponding overviews. For more information, see Contents of the Platform SDK.

The following is a list of the categories of Win32 functions.

Access Control Functions

Accessibility Functions

Atom Functions

Bitmap Functions

Brush Functions

Button Functions

Caret Functions

Client/Server Access Control Functions

Clipboard Functions

Clipping Functions

Color Functions

Combo Box Functions

Common Dialog Box Functions

Communication Functions

Console Functions

Coordinate Space and Transformation Functions

Cursor Functions

Data Decompression Library Functions

Debugging Functions

Device Context Functions

Device Input and Output Functions

Dialog Box Functions

DLC Functions

Dynamic Data Exchange Functions

Dynamic Data Exchange Management Functions

Dynamic-Link Library Functions

Edit Control Functions

Error Functions

Event Logging Functions

File Functions

File Installation Library Functions

File Mapping Functions

File System Functions

Filled Shape Functions

Font and Text Functions

Handle and Object Functions

Hook Functions

ICM 2.0 Functions

Icon Functions

ImageHlp Functions

Input Method Editor Functions

Keyboard Accelerator Functions

Keyboard Input Functions

Large Integer Operations Functions

Line and Curve Functions

List Box Functions

Low-Level Access Control Functions

LSAPI Functions

Mailslot Functions

Memory Management Functions

Menu Functions

Message and Message Queue Functions

Metafile Functions

Mouse Input Functions

Multiple Display Monitors Functions

Multiple Document Interface Functions

National Language Support Functions

Net Functions

NetBIOS Functions

Network DDE Functions

Painting and Drawing Functions

Path Functions

Pen Functions

Pipe Functions

Power Management Functions

Printing and Print Spooler Functions

Process and Thread Functions

Rectangle Functions

Region Functions

Registry Functions

RAS Server Administration Functions

Remote Access Service Functions

Resource Functions

Scroll Bar Functions

Service Functions

String Manipulation Functions

Structured Exception Handling Functions

Synchronization Functions

System Information Functions

System Message Functions

System Shutdown Functions

Tape Backup Functions

Time Functions

Timer Functions

Tool Help Functions

Unicode and Character Set Functions

Window Functions

Window Class Functions

Window Procedure Functions

Window Property Functions

Window Station and Desktop Functions

Windows Networking Functions

Windows NT 4.0 Access-Control Functions

WinTrust Functions


Win32 Simple Data Types

The simple data types supported by the Win32 API are used to define function return values, function and message parameters, and structure members. They define the size and meaning of these elements

The following table contains the following types: character, integer, Boolean, pointer, and handle. The character, integer, and Boolean types are common to most C compilers. Most of the pointer-type names begin with a prefix of P or LP. A Win32-based application uses a handle to refer to a resource that has been loaded into memory.

Type | Definition
ABORTPROC | Pointer to an application-defined callback function that the system calls when a print job is to be canceled during spooling. See AbortProc for information on functions of this type.
ACMDRIVERENUMCB | Pointer to an application-defined callback function that is used with acmDriverEnum. See acmDriverEnumCallback for information on functions of this type.
ACMDRIVERPROC | Pointer to an application-defined callback function that is used with an installable audio compression manager (ACM) driver. See acmDriverProc for information on functions of this type.
ACMFILTERCHOOSEHOOKPROC | Pointer to an application-defined function that hooks the acmFilterChoose dialog box. See acmFilterChooseHookProc for information on functions of this type.
ACMFILTERENUMCB | Pointer to an application-defined callback function that is used with the acmFilterEnum function. See acmFilterEnumCallback for information on functions of this type.
ACMFILTERTAGENUMCB | Pointer to an application-defined callback function that is used with acmFilterTagEnum. See acmFilterTagEnumCallback for information on functions of this type.
ACMFORMATCHOOSEHOOKPROC | Pointer to an application-defined function that hooks the acmFormatChoose dialog box. See acmFormatChooseHookProc for information on functions of this type.
ACMFORMATENUMCB | Pointer to an application-defined callback function that is used with the acmFormatEnum function. See acmFormatEnumCallback for information on functions of this type.
ACMFORMATTAGENUMCB | Pointer to an application-defined callback function that is used with acmFormatTagEnum. See acmFormatTagEnumCallback for information on functions of this type.
APPLET_PROC | Pointer to a library-defined callback function that is the entry point for a Control Panel application. See CplApplet for information on functions of this type.
ATOM | Atom (a reference to a character string in an atom table).
BOOL | Boolean variable (should be TRUE or FALSE).
BOOLEAN | Boolean variable (should be TRUE or FALSE).
BYTE | Byte (8 bits).
CALINFO_ENUMPROC | Pointer to an application-defined callback function that receives a calendar information string. See EnumCalendarInfoProc for information on functions of this type.
CALLBACK | Calling convention for callback functions.
CHAR | 8-bit Windows (ANSI) character. For more information, see Character Sets Used By Fonts.
COLORREF | Red, green, blue (RGB) color value (32 bits). See COLORREF for information on this type.
CONST | Variable whose value is to remain constant during execution.
CRITICAL_SECTION | Critical-section object.
CTRYID | Country identifier.
DATEFMT_ENUMPROC | Pointer to an application-defined callback function that receives a date format string. See EnumDateFormatsProc for information on functions of this type.
DESKTOPENUMPROC | Pointer to an application-defined callback function that receives a desktop name. See EnumDesktopProc for information on functions of this type.
DLGPROC | Pointer to an application-defined dialog box callback procedure. See DialogProc for information on functions of this type.
DRAWSTATEPROC | Pointer to an application-defined callback function that renders a complex image. See DrawStateProc for information on functions of this type.
DWORD | 32-bit unsigned integer.
EDITWORDBREAKPROC | Pointer to an application-defined callback function that the operating system calls when a multiline edit control needs to break a line of text. See EditWordBreakProc for information on functions of this type.
ENHMFENUMPROC | Pointer to an application-defined callback function that enumerates enhanced-metafile records. See EnhMetaFileProc for information on functions of this type.
ENUMRESLANGPROC | Pointer to an application-defined callback function that enumerates resource languages. See EnumResLangProc for information on functions of this type.
ENUMRESNAMEPROC | Pointer to an application-defined callback function that enumerates resource names. See EnumResNameProc for information on functions of this type.
ENUMRESTYPEPROC | Pointer to an application-defined callback function that enumerates resource types. See EnumResTypeProc for information on functions of this type.
FARPROC | Pointer to a callback function.
FLOAT | Floating-point variable.
FILE_SEGMENT_ELEMENT | 64-bit pointer to a buffer.
FONTENUMPROC | Pointer to an application-defined callback function that enumerates fonts. See EnumFontFamExProc for information on functions of this type.
GOBJENUMPROC | Pointer to an application-defined callback function that enumerates graphics device interface (GDI) objects. See EnumObjectsProc for information on functions of this type.
GRAYSTRINGPROC | Pointer to an application-defined callback function that draws gray text. See OutputProc for information on functions of this type.
HACCEL | Handle to an accelerator table.
HANDLE | Handle to an object.
HBITMAP | Handle to a bitmap.
HBRUSH | Handle to a brush.
HCOLORSPACE | Handle to a logical color space.
HCONV | Handle to a dynamic data exchange (DDE) conversation.
HCONVLIST | Handle to a DDE conversation list.
HCURSOR | Handle to a cursor.
HDC | Handle to a device context (DC).
HDDEDATA | Handle to DDE data.
HDESK | Handle to a desktop.
HDROP | Handle to an internal drop structure.
HDWP | Handle to a deferred window position structure.
HENHMETAFILE | Handle to an enhanced metafile.
HFILE | Handle to a file opened by OpenFile, not CreateFile.
HFONT | Handle to a font.
HGDIOBJ | Handle to a GDI object.
HGLOBAL | Handle to a global memory block.
HHOOK | Handle to a hook.
HICON | Handle to an icon.
HIMAGELIST | Handle to an image list.
HIMC | Handle to input context.
HINSTANCE | Handle to an instance.
HKEY | Handle to a registry key.
HKL | Handle to a keyboard layout.
HLOCAL | Handle to a local memory block.
HMENU | Handle to a menu.
HMETAFILE | Handle to a metafile.
HMODULE | Handle to a module.
HMONITOR | Handle to a display monitor.
HOOKPROC Pointer to an application-defined hook function specified to SetWindowsHookEx. See the following for information on functions of this type:
CallWndProc
CallWndRetProc
CBTProc
DebugProc
ForegroundIdleProc
GetMsgProc
JournalPlaybackProc
JournalRecordProc
KeyboardProc
LowLevelKeyboardProc
LowLevelMouseProc
MessageProc
MouseProc
ShellProc
SysMsgProc
HPALETTE | Handle to a palette.
HPEN | Handle to a pen.
HRGN | Handle to a region.
HRSRC | Handle to a resource.
HSZ | Handle to a DDE string.
HTREEITEM | Handle to an item in a tree-view control.
HWINSTA | Handle to a window station.
HWND | Handle to a window.
INT | Signed integer.
IPADDR | IP address. To convert this value to the "a.b.c.d" string form of an IP address, map the high-order byte to a, the low-order byte to d, and so on.
LANGID | Language identifier. For more information, see Language Identifiers and Locales.
LCID | Locale identifier. For more information, see Locale Identifiers (LCIDs).
LCSCSTYPE | Color space type.
LCSGAMUTMATCH | Gamut-matching method.
LCTYPE | Locale information type. For a list, see LCTYPE Constants.
LINEDDAPROC | Pointer to a callback function that processes line coordinates. See LineDDAProc for information on functions of this type.
LOCALE_ENUMPROC | Pointer to an application-defined callback function that receives a locale identifier string. See EnumLocalesProc for information on functions of this type.
LONG | 32-bit signed integer.
LONGLONG | 64-bit signed integer.
LPARAM | 32-bit message parameter.
LPBOOL | Pointer to a BOOL.
LPBYTE | Pointer to a BYTE.
LPCCHOOKPROC | Pointer to an application-defined hook function used with the Color common dialog box. See CCHookProc for information on functions of this type.
LPCFHOOKPROC | Pointer to an application-defined hook function used with the Font common dialog box. See CFHookProc for information on functions of this type.
LPCOLORREF | Pointer to a COLORREF value.
LPCRITICAL_SECTION | Pointer to a CRITICAL_SECTION.
LPCSTR | Pointer to a constant null-terminated string of 8-bit Windows (ANSI) characters. For more information, see Character Sets Used By Fonts.
LPCTSTR | An LPCWSTR if UNICODE is defined, an LPCSTR otherwise.
LPCVOID | Pointer to a constant of any type.
LPCWSTR | Pointer to a constant null-terminated string of 16-bit Unicode characters. For more information, see Character Sets Used By Fonts.
LPDWORD | Pointer to a DWORD.
LPFIBER_START_ROUTINE | Pointer to a fiber function. See FiberProc for information on functions of this type.
LPFRHOOKPROC | Pointer to an application-defined hook function used with the Find and Replace common dialog boxes. See FRHookProc for information on functions of this type.
LPHANDLE | Pointer to a HANDLE.
LPHANDLER_FUNCTION | Pointer to a control handler function for a Win32 service. See Handler for information on functions of this type.
LPINT | Pointer to an INT.
LPLONG | Pointer to a LONG.
LPOFNHOOKPROC | Pointer to an application-defined hook function used with the Open and Save As common dialog boxes. See OFNHookProc for information on functions of this type.
LPPAGEPAINTHOOK | Pointer to an application-defined callback function used with the Page Setup common dialog box. See PagePaintHook for information on functions of this type.
LPPAGESETUPHOOK | Pointer to an application-defined callback function used with the Page Setup common dialog box. See PageSetupHook for information on functions of this type.
LPPRINTHOOKPROC | Pointer to an application-defined hook function used with the Print common dialog box. See PrintHookProc for information on functions of this type.
LPPROGRESS_ROUTINE | Pointer to an application-defined callback function that is called by CopyFileEx. See CopyProgressRoutine for information on functions of this type.
LPSETUPHOOKPROC | Pointer to an application-defined hook function used with the Print Setup common dialog box. See SetupHookProc for information on functions of this type.
LPSTR | Pointer to a null-terminated string of 8-bit Windows (ANSI) characters. For more information, see Character Sets Used By Fonts.
LPSTREAM | Pointer to a stream.
LPTHREAD_START_ROUTINE | Pointer to a thread function. See ThreadProc for information on functions of this type.
LPTSTR | An LPWSTR if UNICODE is defined, an LPSTR otherwise.
LPVOID | Pointer to any type.
LPWORD | Pointer to a WORD.
LPWSTR | Pointer to a null-terminated string of 16-bit Unicode characters. For more information, see Character Sets Used By Fonts.
LRESULT | Signed result of message processing.
LUID | Locally unique identifier.
PBOOL | Pointer to a BOOL.
PBOOLEAN | Pointer to a BOOL.
PBYTE | Pointer to a BYTE.
PCHAR | Pointer to a CHAR.
PCRITICAL_SECTION | Pointer to a CRITICAL_SECTION.
PCSTR | Pointer to a constant null-terminated string of 8-bit Windows (ANSI) characters. For more information, see Character Sets Used By Fonts.
PCTSTR | A PCWSTR if UNICODE is defined, a PCSTR otherwise.
PCWCH | Pointer to a constant WCHAR.
PCWSTR | Pointer to a constant null-terminated string of 16-bit Unicode characters. For more information, see Character Sets Used By Fonts.
PDWORD | Pointer to a DWORD.
PFLOAT | Pointer to a FLOAT.
PFNCALLBACK | Pointer to an application-defined callback function that processes DDE transactions. See DdeCallback for information on functions of this type.
PHANDLE | Pointer to a HANDLE.
PHANDLER_ROUTINE | Pointer to a console control handler routine. See HandlerRoutine for information on functions of this type.
PHKEY | Pointer to an HKEY.
PINT | Pointer to an INT.
PLCID | Pointer to an LCID.
PLONG | Pointer to a LONG.
PLUID | Pointer to a LUID.
PROPENUMPROC | Pointer to an application-defined callback function that enumerates window properties. See PropEnumProc for information on functions of this type.
PROPENUMPROCEX | Pointer to an application-defined callback function that enumerates window properties. See PropEnumProcEx for information on functions of this type.
PSHORT | Pointer to a SHORT.
PSTR | Pointer to a null-terminated string of 8-bit Windows (ANSI) characters. For more information, see Character Sets Used By Fonts.
PTBYTE | Pointer to a TBYTE.
PTCHAR | Pointer to a TCHAR.
PTIMERAPCROUTINE | Pointer to a timer completion routine. See TimerAPCProc for information on functions of this type.
PTSTR | A PWSTR if UNICODE is defined, a PSTR otherwise.
PUCHAR | Pointer to a UCHAR.
PUINT | Pointer to a UINT.
PULONG | Pointer to a ULONG.
PUSHORT | Pointer to a USHORT.
PVOID | Pointer to any type.
PWCHAR | Pointer to a WCHAR.
PWORD | Pointer to a WORD.
PWSTR | Pointer to a null-terminated string of 16-bit Unicode characters. For more information, see Character Sets Used By Fonts.
REGISTERWORDENUMPROC | Pointer to an application-defined callback function that processes register strings. See EnumRegisterWordProc for information on functions of this type.
REGSAM | Security access mask for registry key.
SC_HANDLE | Handle to a service control manager database.
SC_LOCK | Handle to a service control manager database lock.
SENDASYNCPROC | Pointer to an application-defined callback function that the operating system calls when SendMessageCallback is called. See SendAsyncProc for information on functions of this type.
SERVICE_STATUS_HANDLE | Handle to a service status value.
SHORT | Short integer.
TBYTE | A WCHAR if UNICODE is defined, a CHAR otherwise.
TCHAR | A WCHAR if UNICODE is defined, a CHAR otherwise.
TIMEFMT_ENUMPROC | Pointer to an application-defined callback function that receives a time format string. See EnumTimeFormatsProc for information on functions of this type.
TIMERPROC | Pointer to an application-defined timer callback function. See TimerProc for information on functions of this type.
UCHAR | Unsigned CHAR.
UINT | Unsigned INT.
ULONG | Unsigned LONG.
ULONGLONG | 64-bit unsigned integer.
UNSIGNED | Unsigned attribute.
USHORT | Unsigned SHORT.
VOID | Any type.
WCHAR | 16-bit Unicode character. For more information, see Character Sets Used By Fonts.
WINAPI | Calling convention for the Win32 API.
WINSTAENUMPROC | Pointer to an application-defined callback function that receives a window station name. See EnumWindowStationProc for information on functions of this type.
WNDENUMPROC Pointer to an application-defined callback function that enumerates windows. See the following for information on functions of this type:
EnumChildProc
EnumThreadWndProc
EnumWindowsProc
WNDPROC | Pointer to an application-defined window procedure. See WindowProc for information on functions of this type.
WORD | 16-bit unsigned integer.
WPARAM | 32-bit message parameter.
YIELDPROC | Pointer to a yield callback function. See mciSetYieldProc for information on functions of this type.


A

ABC width
The amount of spacing required for a single glyph in a font. "A" spacing is added to the current position before drawing the glyph. "B" spacing is the width of the black part of the glyph. "C" spacing is added to the current position to account for the white space to the right of the glyph. The total advanced width is given by A+B+C. See also glyph.
absolute security descriptor
A security descriptor structure that contains pointers to the security information associated with an object. See also security descriptor, self-relative security descriptor.
accelerator table
An array of ACCEL data structures, each of which defines a keyboard accelerator. See also keyboard accelerator.
access-control entry (ACE)
An entry in an access-control list (ACL). An ACE contains a set of access rights and a security identifier (SID) that identifies a trustee for whom the rights are allowed, denied, or audited. See also access-control list (ACL), security identifier (SID), trustee.
access-control list (ACL)
A list of security protections that applies to an object. (An object can be a file, process, event, or anything else having a security descriptor.) An entry in an access-control list (ACL) is an access-control entry (ACE). There are two types of access-control list: discretionary and system. See also access-control entry (ACE), discretionary access-control list (DACL), security descriptor, system access-control list (SACL).
access mask
A 32-bit value that specifies the rights that are allowed or denied in an access-control entry (ACE). An access mask is also used to request access rights when an object is opened. See also access-control entry (ACE).
access time
The last time a file was written to, read from, or run, if the file is executable.
access token
An access token contains the security information for a logon session. The system creates an access token when a user logs on, and every process executed on behalf of the user has a copy of the token. The token identifies the user, the user's groups, and the user's privileges. The system uses the token to control access to securable objects and to control the ability of the user to perform various system-related operations on the local computer. There are two kinds of access token: primary and impersonation. See also impersonation token, primary token, privilege, process, security identifier (SID).
ACE
See access-control entry (ACE).
ACL
See access-control list (ACL).
active screen buffer
The screen buffer that is currently displayed in a console's window.
active window
A top-level window of the application with which the user is working. Windows identifies the active window by positioning it at the top of the Z order and highlighting its title bar and border. See also window.
Adaptive Differential Pulse Code Modulation (ADPCM)
An audio-compression technique.
Additive color mixing
A method of color mixing that uses black as the base color to which other colors may be added. The image is black if no other colors are present. If you add red, the image will appear red. If you then add blue, the image will appear magenta. The mixing methods most commonly used are based on the additive primary colors and the subtractive primary colors. All colors can be reproduced using either method.
additive color technology
The color technology, used by video displays, that is based on the three primary colors red, green, and blue (RGB). Other colors (except black) are a combination of two or more of the primaries in varying amounts. Black is defined as the absence of the primaries.
ADPCM
See Adaptive Differential Pulse Code Modulation (ADPCM).
alertable wait
(1) A wait operation initiated when a thread calls either the WaitForSingleObjectEx, WaitForMultipleObjectsEx, or SleepEx function with the function's fAlertable flag set to TRUE. In an alertable wait, the wait function returns when a ReadFileEx or WriteFileEx function completion routine is queued for execution.

(2) A wait function operation in which the function can return when the specified conditions are satisfied, or when the system queues a completion routine for execution by the waiting thread. See also completion routine, wait function.

alternate path
One of the multiple storage shares that a junction point references in a Distributed File System (Dfs) tree structure. Dfs has a limit of 32 alternate paths for a junction point in a Dfs tree. See also Distributed File System (Dfs), junction point
animation
The display of a series of graphic images that simulates motion. Animation can be frame based or cast based.
anonymous pipe
An unnamed, one-way pipe that transfers data between a parent and child process, or between two child processes of the same parent process. An anonymous pipe is created by the CreatePipe function that returns two handles (one to the read end and one to the write end of the pipe). The creating parent process controls whether these handles are inherited by its child processes. See also child process, handle, parent process, pipe.
application-defined control
A control belonging to a window class supplied by an application.
application-defined resource
A resource whose format is defined and recognized by a specific application. See also custom resource.
association
The process of matching a filename extension with a specific application. When an extension and an application have been associated, applications can use the association to find and start other applications or to open and print files.
asynchronous input and output (I/O)
A type of I/O in which some file I/O functions return immediately, even though an I/O request is still pending. This enables an application to continue with other processing and wait for the I/O to finish at a later time. See also overlapped input and output (I/O).
asynchronous procedure call (APC)
A function that executes asynchronously in the context of a particular thread. When an APC is queued to a thread, the system issues a software interrupt. The next time the thread is scheduled, it will run the APC. APCs made by the system are called "kernel-mode APCs." APCs made by an application are called "user-mode APCs." A thread must be in an alertable state to run a user-mode APC.
asynchronous task handle
The handle returned by the WSAAsyncGetXByY routines. This handle is used to identify the outstanding operation and allow the application to cancel it if needed.
atom
An integer that identifies a character string in an atom table.
atom name
The character string identified by an atom.
atom table
A table, defined by the operating system, that stores character strings and their associated atoms. A global atom table is available to all applications. A local atom table can be used only by the application that created it.
attribute
A characteristic of a file. The six Windows file attributes indicate whether a file is read only, hidden, system, archived, a directory, or normal. See also directory.
auto-reset event object
See event object.
auxiliary audio device
Audio devices whose output is mixed with the Musical Instrument Digital Interface (MIDI) and waveform output devices in a multimedia computer. An example of an auxiliary audio device is the compact disc audio output from a CD-drive.


B

background window
Any window created by a thread other than the foreground thread.
base character
A character followed by a nonspacing character; typically, this is a letter that receives an accent mark. For example, in the character è, an accented e, the e is the base character. See also nonspacing character.
base class
The window class an application uses as the starting point when creating a superclass. See also superclass.
base line
An imaginary line where the capital letters for a given font rest. See also font.
base priority
A thread priority value that provides the basis for calculating the thread's dynamic priority. This value is set to one of the five levels within the priority class of the thread's process. The scheduler can temporarily boost the priority of a thread, but it cannot reduce it below this base. See also dynamic priority, priority class, process, thread.
basic challenge protocol
A security mechanism that all LSAPI-compliant license systems support. It requires independent maintenance of a minimum of four secret values by both the licensed application and the license server, and mutual authentication of one value before the license server grants licensing resources. See also License Service Application Programming Interface (LSAPI), MD4 Message-Digest Algorithm, secret.
beginning-of-medium marker
The position on a tape where you can begin recording data.
beginning-of-partition marker
The position in a partition where you can begin recording data. If there is only one partition, this position is usually equivalent to the beginning-of-medium marker.
Bezier spline
An irregular curve defined by four points: two endpoints and two control points. The endpoints determine where the curve begins and ends. The control points determine the shape of the curve; however, unlike the endpoints, the control points do not intersect the curve.
bit count
The number of bits of data in a color plane that represent a single pixel. See also pixel.
bitmap
An array of bits that contains data that describes the colors found in a rectangular region on the screen (or the rectangular region found on a page of printer paper). See also rectangular region.
bitmapped image
A rectangular image on a video display (or page of printer paper) represented by the color data in a bitmap.
blink time
The elapsed time, in milliseconds, required to invert the caret display. This value is half of the flash time. See also caret, flash time.
blocking input and output (I/O)
A wait mode for I/O operations on a named pipe where functions wait for a process on the other end of the pipe to perform an action. In nonblocking wait mode, the functions return if their operations are not finished immediately. See also named pipe, pipe, process.
bottom-up DIB
A device-independent bitmap (DIB) whose origin lies at the bottom-left corner. See also top-down DIB.
bounding rectangle
A Windows or graphics device interface (GDI) object. In the case of some GDI objects, the dimensions of this rectangle are inclusive-exclusive when no world transformation has been set, and inclusive-inclusive when a world transformation has been set.
break key
In Media Control Interface (MCI), a keystroke that interrupts a wait operation. By default, MCI defines this key as ^CTRL+BREAK^. An application can redefine this key by using the MCI_BREAK command message.
breakpoint
A location in a process where execution is stopped to allow the developer to examine the process's code, variables, and register values, and, as necessary, make changes, continue execution, or terminate execution.
brush
A bitmap that is used to fill the interior of closed shapes, polygons, ellipses, and paths. See also bitmap, ellipse, path, polygon.
brush origin
A coordinate that specifies the location of one of the pixels in a brush's bitmap. Windows maps this pixel to the upper left corner of the window that contains the object to be painted. See also bitmap, pixel, window.
button
An element in the Windows user interface that enables a user to provide input to an application. Buttons are typically used in dialog boxes.
byte-order mark
A special Unicode character (0xFEFF) that is placed at the beginning of Unicode text files to indicate that the text is in Unicode format.
byte reversed
A Unicode file in which the most significant byte is first (as on Motorola architectures).
byte type pipe
A named pipe where data is written as a stream of bytes. See also named pipe.


C

caret
A flashing line, block, or bitmap that marks the location of the insertion point in a window's client area. See also bitmap.
CD-ROM extended architecture (CD-XA)
An extension of the CD-ROM standard that provides for storage of compressed audio data along with other data on a compact disc. This standard also defines the way data is read from a disc. Audio signals are combined with text and graphic data on a single track so they can be read at virtually the same time.
channel
A method, provided by Musical Instrument Digital Interface (MIDI), for sending messages to an individual device within a MIDI setup. There are 16 MIDI channel numbers. Devices in a MIDI setup can be directed to respond only to messages marked with a channel number specific to the device.
channel map
A channel map, provided by the MIDI Mapper, that can redirect Musical Instrument Digital Interface (MIDI) messages from one channel to another. See also MIDI Mapper, Musical Instrument Digital Interface (MIDI).
character code
A numeric value that represents a particular character in a set, such as the ASCII character set. See also code page.
character set
A mapping of characters to their identifying numeric values. See also multibyte character set, single-byte character set, Unicode.
character-mode application
An application that does not provide its own graphical user interface (GUI). The Win32 API provides consoles for managing input and output (I/O) for character-mode applications. See also console.
check box
A square box operated by the user to choose from a set of related but independent options. A checked check box contains an X. Repeatedly checking a check box toggles it from state to state. A standard check box has two states: checked and unchecked. A three-state check box has an additional state: disabled (grayed). In versions of standard and three-state check boxes, Windows is responsible for changing the state of the check box.
child process
A process (child) initiated by another process (the parent). The child process can operate independently from the parent process. Further, the parent process can suspend or terminate without affecting the child process. See also parent process.
child window
A window that has the WS_CHILD style. A child window always appears within the client area of its parent window.
child-window identifier
An application-defined value assigned to a child window. An application that creates multiple child windows of the same class uses the identifiers to distinguish among the child windows.
chord
A region bounded by the intersection of an ellipse and a secant. In Windows, a chord is outlined by using the current pen and filled by using the current brush. See also ellipse, secant.
chunk
The basic building block of a Resource Interchange File Format (RIFF) file, consisting of an identifier (called a chunk identifier), a chunk-size variable, and a chunk data area of variable size.
class cursor
The default cursor for a window class. The class cursor is specified by the hCursor member of a WNDCLASS structure. See also cursor.
class icon
The default icon for a window class. The class icon is identified by the hIcon member of a WNDCLASS structure. See also icon.
class menu
The default menu for a window class. All windows of a given class use the same menu unless the application specifies a different menu when creating a window of that class. See also menu, window.
click
To press and release a mouse button.
client area
The part of a window where the application displays output such as text or graphics.
client coordinates
Coordinates relative to the upper left corner of a window's client area.
clipboard
A set of functions and messages used to transfer information between applications or within an application.
clipboard format
The format of data on the clipboard. A window can copy information to the clipboard using multiple clipboard formats. A clipboard format is identified by a unique unsigned integer value. See also clipboard, window.
clipboard owner
The window associated with the information on the clipboard. It is possible for there to be no clipboard owner. See also clipboard, window.
clipboard viewer
A window that displays the contents of the clipboard. See also clipboard, window.
clip path
One or more irregular shapes in a window's client area where clipped output appears. The edges of a clip path can be straight lines, Bezier curves, or combinations of the two. See also irregular shape.
clipping
The process of limiting output to a region or path within the client area of an application's window.
clipping region
A polygon or ellipse in a window's client area where clipped output appears. See also ellipse, polygon.
CMY format
See cyan, magenta, yellow (CMY) format.
code page
A mapping of characters to 256 8-bit character codes. See also character code.
coherent
A description of file views that contain identical data at a given time. File views are coherent if they are derived from the same file-mapping object.
Color common dialog box
A common dialog box that displays available colors and controls that let the user define a custom color. See also common dialog box.
color management
A technology that translates the colors of an object (images, graphics, or text) from their current color space to the color space of output devices such as monitors, printers, and plotters.
color palette
An array containing the RGB (red, green, blue) values identifying the colors that can currently be displayed or drawn on the output device. Color palettes are used by devices that are capable of generating many colors but can only display or draw a subset of these at any given time.
color palette index
An integer value that identifies a specific palette entry.
color plane
An array of bits that represents the red, green, blue, or intensity components for the pixels in a bitmapped image. See also bitmapped image, pixel.
color space
A model for representing color as three or more coordinates. Color-space models map color components onto a Cartesian coordinate system in three or more dimensions. A color space may use any of several types of color encoding and visualizing color. The two most common types of color space models are RGB and YUV.
color table
An array of RGBQUAD structures. Each RGBQUAD structure describes a color consisting of relative intensities of red, green, and blue.
command item
A menu item that, when chosen, sends a command message to the window procedure of the window that owns the menu. See also menu item, window.
command message
In Media Control Interface (MCI), a symbolic constant that represents a unique command for an MCI device. Command messages have associated data structures that provide information a device requires to carry out a request.
command string
In Media Control Interface (MCI), a null-terminated character string that represents a command for an MCI device. The text string contains all the information that an MCI device needs to carry out a request. MCI parses the text string and translates it into an equivalent command message and data structure that it then sends to an MCI device driver.
comment
A string of text inserted between records in a metafile. See also metafile.
committed page
A page of memory in a process's virtual address space for which physical storage has been allocated. The storage is either in RAM or on disk.
common dialog box
A dialog box that an application displays by calling a single function rather than by creating a dialog box procedure and a resource file containing the dialog box template. See also resource file.
common display context
The default display context assigned to a window that does not specify CS_OWNDC or CS_CLASSDC as the window's class style. See also display context, window.
communications resource
A physical or logical device that provides a single bidirectional, asynchronous data stream. Serial ports, parallel ports, fax machines, and modems are examples of communications resources. For each communications resource, there is a service provider, consisting of a library or driver, that enables applications to access the resource.
compact disc – digital audio (CD-DA)
An optical data-storage format that provides for the storage of up to 73 minutes of high-quality digital-audio data on a compact disc. Also known as Red Book audio.
compact disc – read-only memory (CD-ROM)
An optical data-storage technology that allows large quantities of data to be stored on a compact disc.
compatible device context (DC)
A virtual-device context that provides a means of storing an image that was created on a physical screen. (Compatible DCs are sometimes referred to as "memory" DCs.) See also device context.
completion routine
A function specified in a call to either the ReadFileEx or WriteFileEx function. A completion routine is queued for execution when the read or write operation is finished. The completion routine is not executed until the thread that called the ReadFileEx and WriteFileEx function enters an alertable wait. See also alertable wait.
composite character
An accented character represented by two character values, one for the base character and another for the nonspacing accent character. See also base character, nonspacing character, precomposed character.
compound device
A Media Control Interface (MCI) device that requires a device element, usually a data file. An example of a compound device is the MCI waveform audio driver. See also device element.
compound file
A number of individual files bound together in one physical file. Each individual file in a compound file can be accessed as if it were a single physical file.
console
An interface that provides input and output to character-mode applications. See also character-mode application.
console modes
Settings associated with a console that determine the behavior of some of its input and output operations.
console process
A character-mode process whose entry point is the main function. A console process uses the console functions or the file input and output (I/O) functions for I/O, while a graphical user interface (GUI) process uses the USER/graphic device interface (GDI) functions. See also process.
console window
A window managed by the system that a console uses to receive input and display output.
container
A network resource that contains other network resources. The contained resources can be such objects as servers or printers, or containers that can also contain further objects and containers. See also sharepoint.
context record
A record of the machine state created when an exception occurs. The context record is saved in a CONTEXT structure.
control
A child window used in conjunction with another window to carry out simple input and output (I/O) tasks.
control change
See MIDI control-change message.
control identifier
A number that an application uses to uniquely identify a control.
control message
A message sent to a control to request information or perform an action.
control set
A set of configurable options for a computer. See also profile.
control style
A value, similar to a window style, that specifies the appearance and behavior of a control. The window procedure for the control uses the style to determine how to draw the control and process input.
coordinate space
A planar space based on the Cartesian coordinate system. This system requires two axes that are perpendicular and equal in length. There are four coordinate spaces in Windows: world, page, device, and physical device (client area, or desktop, or page of printer paper).
Coordinated Universal Time
The standard international time used internally by Windows NT.
cosmetic pen
A pen with dimensions specified in device units. See also pen.
counter
A general term referring to an incrementing variable.
critical section
An object used to synchronize the threads of a single process. Only one thread at a time can own a critical-section object.
current directory
The directory at the end of the active path. This is the directory where the active application started, unless explicitly changed. See also directory.
current position
The starting point for any line-drawing or curve-drawing operations.
current selection
The portion of a document the user has marked in preparation for carrying out a command.
cursor
A small bitmap whose location on the screen is controlled by a pointing device, such as a mouse, pen, or trackball. See also bitmap.
cursor handle
A unique value of the HCURSOR type that identifies a cursor.
custom cursor
A cursor designed for use in a specific application.
custom icon
An icon designed for use in a specific application. See also icon.
custom resource
See application-defined resource.
cyan, magenta, yellow (CMY) format
A color format that identifies a given color with a cyan, magenta, yellow (CMY) format triplet. This format is used by printers and other ink-based devices.


D

DACL
See discretionary access-control list.
DBCS
See double-byte character set.
DC
See device context.
DDE
See dynamic data exchange.
DDE client application
An application that requests a conversation with a dynamic data exchange (DDE) server application, and receives data from the server during the conversation. See also DDE server application.
DDE conversation
The interaction between a dynamic data exchange (DDE) client and a DDE server application.
DDE server application
An application that provides data to a dynamic data exchange (DDE) client application during a DDE conversation. See also DDE client application, DDE conversation.
DDE transaction
An exchange of messages or data between a dynamic data exchange (DDE) client application and a DDE server application. See also DDE client application.
dead key
A key used with another key to create an accented character. A dead key, when pressed, produces no visible character but indicates that the accent mark it represents is to be combined with the character produced by the next letter key pressed. See also key.
deadlock
A bug where the execution of thread A is blocked indefinitely waiting for thread B to perform some action, while thread B is blocked waiting for thread A. For example, two threads on opposite ends of a named pipe can become deadlocked if each thread waits to read data written by the other thread. A single thread can also deadlock itself. See also named pipe, thread.
debugger
An application that enables a developer to observe and correct programming errors by stepping through an application program, examining data, and checking conditions.
debugging
The process of observing and correcting logical and syntactical errors in an application.
debugging event
An event that occurs in a process being debugged that causes the kernel to notify the debugger. Also, the notification the kernel sends to the debugger. See also debugger, process.
default color palette
An array of RGB values identifying the colors that can be used with a device context by default. Windows associates the default color palette with a context whenever an application creates a context for a device that supports color palettes. The default color palette ensures that colors are available for use by an application without requiring additional action by the application.
default window procedure
A system-defined function that provides default processing for messages an application-defined window procedure does not process. See also window procedure.
desktop wallpaper
The pattern created by the bitmap that the desktop window uses to paint the background of the screen.
desktop window
A system-defined window that paints the background of the screen and serves as the base for all windows displayed by all Windows applications.
detached process
A console process that does not have access to the console of its parent process. Typically, a detached process runs in the background, but it can use the AllocConsole function to create a new console if it needs to print a message to the screen or get input from the user. See also console process, parent process.
device
Input sources and output destinations are collectively referred to as devices. Some examples of devices are keyboard (input), monitor (output), printer(output), and disk files, which are input and output devices.
device capabilities
The curve-, line-, polygon-, raster-, and text-drawing capabilities of a display or printer.
device context
Structure that defines a set of graphic objects and their attributes, and the graphic modes that affect output. In addition, the device context (DC) refers to a physical output device—its name, device driver, and other attributes. GDI function call parameters contain a handle to a DC to include the attributes of the specified device. There are four types of DC: display (supports drawing operations on a video display terminal), printer (supports drawing operations on a printer or plotter), memory (supports drawing operations on a bitmap), and information (supports retrieval of device data.) See also graphic modes, graphic objects.
device coordinate space
One of four coordinate spaces used for all graphic device interface (GDI) drawing operations.
device-dependent bitmap
An array of bits that can only be used with a particular display or printer.
device element
Data required for operation of Media Control Interface (MCI) compound devices. The device element is generally an input or output data file.
device-independent bitmap (DIB)
An array of bits combined with several structures that specify the width and height of the bitmapped image (in pixels), the color format of the device where the image was created, and the resolution of the device used to create that image. See also bitmapped image, pixel.
device type
A class of Media Control Interface (MCI) devices that respond to a common set of commands.
Dfs
See Distributed File System.
DIB palette
The logical color palette created when a device-independent bitmap (DIB) was created. See also color palette.
DIB pattern-brush
A logical brush created from a device-independent bitmap (DIB). See also device-independent bitmap (DIB), logical brush.
digital differential analyzer (DDA)
An algorithm that determines which pixels on a video display (or dots on a printed page) are part of a line or curve. See also pixel.
directory
An organizational construct supported by most disk-based operating systems. Rather than listing all the files on a volume at once, users can create multiple directories to contain groups of files. Directories can also contain other directories.
disabled window
A window that cannot receive input from keyboard, mouse, or other input device.
discretionary access-control list (DACL)
An access-control list that is controlled by the owner of an object and that specifies the access particular users or groups can have to the object. See also access-control list (ACL), system access-control list.
disk drive
A physical device that reads from or writes to disks. Disk drives are referenced by letters, typically A for the first floppy-disk drive, B for the second floppy-disk, C for the first fixed-disk drive, D for the second fixed-disk drive, and so on. Each drive on an operating system is assigned a unique letter to distinguish it from other drives.
display context
A special device context that treats each window like a separate screen surface. See also device context, window.
display driver
A Windows dynamic-link library (DLL) that contains functions that process input from the graphics engine and convert that input into device-specific commands. These commands are processed by the display adapter. See also dynamic-link library (DLL).
display element
The parts of a window and the Windows display that appear on the system display screen.
Distributed File System (Dfs)
Windows NT system software that provides distributed file system capabilities on computers running Windows NT Server 4.0 and later, Windows NT Workstation, and Windows 95. Dfs organizes shared resources on a network in a tree structure, and it provides the ability to logically group shares on multiple servers. See also junction point, leaf volume, root volume, alternate path.
dithering
A graphics technique that simulates a color by altering two or more colors in a pattern.
division type
The technique used to represent the time between Musical Instruments Digital Interface (MIDI) events in a MIDI sequencer.
DLL
See dynamic-link library (DLL).
domain
A group of workstations and servers that share a single group name.
double-byte character set (DBCS)
A mapping of characters to their identifying numeric values, in which each value is 2 bytes wide. Double-byte character sets are sometimes used for languages that have more than 256 characters. For example, a double-byte character set is used to encode Japanese (Kanji) characters. See also multibyte character set.
double-click
To press and release a mouse button twice in quick succession.
drag
To move the mouse while holding down a mouse button.
drag-drop
To select one or more files in File Manager, drag them to an open application, and drop them there.
driver service
A service that follows the device driver protocols for Windows NT rather than using the Service Control Manager interface.
drop-down combo box
A combo box, created by using the CBS_DROPDOWN style, containing a drop-down list and a selection field that can be edited by the user.
drop-down list
A list in a combo box that is visible only when it is opened by the user. Combo boxes with the CBS_DROPDOWN and CBS_DROPDOWNLIST styles contain drop-down lists.
drop-down list box
A combo box, created by using the CBS_DROPDOWNLIST style, containing a drop-down list and a selection field that cannot be edited by the user. A drop-down list box can be used in place of a list box when screen space is tight.
due time
The time at which the state of the waitable timer is to be set to signaled. This value is specified when the timer is started. A positive value indicates an absolute time. A negative value indicates a relative time.
dynamic data exchange (DDE)
A form of interprocess communications that uses shared memory to exchange data between applications. Applications can use DDE for one-time data transfers and for ongoing exchanges in applications that send updates to one another as new data becomes available.
dynamic-link library (DLL)
A .DLL file that contains one or more functions compiled, linked, and stored separately from the processes that use them. The operating system maps the DLLs into the process's address space when the process is starting up or while it is running. The process then executes functions in the DLL. See also process.
dynamic priority
A thread priority value used by the scheduler in making scheduling decisions. The value for each thread can never be lower than the thread's base priority, but it can be raised and then lowered to enhance responsiveness to input or other significant events. See also base priority, thread.


E

early-warning position
A physical mark or device-computed position immediately before the end-of-partition marker.
edit control
An element of the Windows user interface that allows the user to enter and edit text. Edit controls are typically used in dialog boxes.
ellipse
A closed curve defined by two fixed points such that the sum of the distances from any point on the curve to the two fixed points is constant.
elliptical region
A region with the shape of an ellipse. See also ellipse, region.
embedded font
A TrueType font stored as part of a document. (By storing a font in a document, the document's author is guaranteed that the original appearance and format of the document remain intact.) See also TrueType font.
end cap
A geometric pen attribute that specifies the shape of the pen. There are three types of end caps: flat, round, and square.
end-of-medium marker
The last position on a tape where you can record data.
end-of-partition marker
The last position on a partition where you can record data.
end-of-tape marker
Same as end-of-medium marker.
enhanced metafile
One of two metafile formats. This format, used in applications written to run with the Win32 application programming interface (API), consists of a header, a table of handles to graphics device interface (GDI) objects, a private palette, and an array of metafile records. See also handle.
environment variable
A symbolic variable that represents some element of the operating system, such as a path, a filename, or other literal data. For example, the environment variable PATH represents the directories to search for executable files. See also directory, path.
erase gap
An area of erased tape or a pattern that the device does not recognize as a marker or as user data; it is used to locate a filemark to be overwritten.
escapement
An angle defined by the escapement vector and the x-axis of a device. The base line of a string of text is parallel to the escapement vector. See also x-axis.
event object
An interprocess synchronization object whose state is explicitly set to signaled by the SetEvent or PulseEvent function. A manual-reset event object's state must be explicitly reset to the nonsignaled state by the ResetEvent function. A wait function resets an auto-reset event object's state to nonsignaled before returning. See also synchronization object , wait function.
exception
An event that occurs during the execution of a program and that requires the execution of software outside the normal flow of control.
exception record
A record of an exception. The exception record is saved in an EXCEPTION_RECORD structure.


F

family name
One of two attributes used to organize TrueType fonts. Family names include Courier New, Arial, and Times New Roman. (The other attribute used to organize TrueType fonts is the style name.) See also TrueType font.
FAT
See file allocation table (FAT).
file
A named, ordered collection of information, such as a program, a set of data used by a program, or a user-created document. A file is the basic unit of storage that enables a computer to distinguish one set of information from another.
file allocation table (FAT)
A table that contains the status of various segments of disk space used for file storage. Also, the file system that maintains the table.
file element
A complete file contained in a Resource Interchange File Format (RIFF) compound file.
file handle
A unique identifier that Windows assigns to a file when the file is opened or created. A file handle is valid until the file is closed.
file-mapping object
An object whose handle can be used to create a view to a file or piece of memory. The CreateFileMapping function creates file-mapping objects. See also handle.
file pointer
A pointer to the next byte to be read or written in a file.
file system
A part of the operating system that enables you to store, access, and organize files on storage devices, such as hard or floppy disks or tape drives. File allocation table (FAT) and NTFS are examples of file systems.
file time
A 64-bit value representing the number of 100-nanosecond intervals that have elapsed since January 1, 1601.
file view
A copy of a file or piece of memory that appears in a process's virtual address space. The MapViewOfFile function creates a file view in the process's address space and returns a pointer to the file view.
filemark
A special recorded element that contains no user data and is used to provide a segmentation scheme. A normal filemark does not contain an erase gap.
filled path
A path that is filled by using the brush currently selected into an application's device context. See also device context, path.
filter expression
An expression that is part of a frame-based exception handler. When an exception occurs during the execution of the guarded body of code in a frame-based exception handler, the system evaluates the filter expression to determine whether the exception handler code is to be executed. See also frame-based exception handler, guarded body of code.
filter function
A function called by a filter expression in a frame-based exception handler. See also frame-based exception handler.
Find common dialog box
A common dialog box that displays an edit control in which the user can type a string that the application should search. See also common dialog box.
first-chance notification
The first time the kernel notifies the debugger of an exception. See also debugger.
flash time
The elapsed time, in milliseconds, required to display, invert, and restore the caret display. This value is twice as much as the blink time. See also blink time, caret.
flattened path
A path altered by converting each curve (in the path) into a series of line segments. See also path.
floating pop-up menu
A pop-up menu that is not attached to a menu bar. See also pop-up menu.
FM synthesizer
See frequency modulation (FM) synthesizer.
font
(1) A collection of characters and symbols that share a common design.

(2) A drawing object used to write text on a display surface.

Font common dialog box
A common dialog box that displays lists of fonts and point sizes that correspond to available fonts. See also common dialog box.
font mapper
An algorithm that Windows uses to determine which available font most closely matches a requested font. See also font.
font table
An array that identifies each of the fonts whose resources have been loaded. Only fonts whose resources have been loaded can be used for text output. See also font.
foreground window
The window with which the user is currently working. The system assigns a slightly higher priority to the thread that created the foreground window than it does to other threads.
form type
A four-character code (FOURCC) identifying the type of data contained in a Resource Interchange File Format (RIFF) chunk. For example, a RIFF chunk with a form type of WAVE contains waveform audio data.
FOURCC (Four-Character Code)
A code used to identify Resource Interchange File Format (RIFF) chunks. A FOURCC is a 32-bit quantity represented as a sequence of one to four ASCII alphanumeric characters, padded on the right with blank characters.
frame-based exception handler
A mechanism used by a developer to deal with the possibility that an exception may occur in a certain sequence of code. A frame-based exception handler consists of a guarded body of code, a filter expression, and an exception handler. See also filter expression, guarded body of code.
free page
A page of memory in a process's virtual address space that is available to be reserved or committed. A process cannot access a free page. See also committed page, reserved page.
frequency
With respect to the high-resolution performance counter, the number of counts per second. This value is processor dependent.
frequency modulation (FM) synthesizer
A synthesizer that creates sounds by combining the output of digital oscillators using a frequency modulation technique.


G

General MIDI
A synthesizer specification created by the MIDI Manufacturers Association (MMA) defining a common configuration and set of capabilities for consumer Musical Instrument Digital Interface (MIDI) synthesizers.
geometric pen
A pen with dimensions that are specified in world units. A geometric pen may possess attributes usually associated with a brush, such as pattern and hatch. See also brush, geometric pen, pen.
global atom
An atom stored in the global atom table. The value of a global atom is unique among all others in the operating system. See also atom.
global atom table
See atom table.
global subclassing
A type of subclassing in which an application replaces the window-procedure address stored in the WNDCLASS structure of a window class with the address of a subclass procedure. All subsequent windows created with the class use the subclass procedure rather than the original window procedure. See also subclassing, window, window procedure.
glyph
The bitmap, collection of points, or collection of graphic commands that define a single character or symbol in a font. See also bitmap, font.
graceful disconnect
In a graceful disconnect, all the data sent by both sides are delivered and there is full acknowledgment of the session termination by both sides. This contrasts with an abortive disconnect, in which one side unilaterally terminates the connection, disregarding any queued data. As a result, in an abortive disconnect there may be data loss.
graphic modes
A set of modes that define how the Win32 API draws output with the objects found in a device context. See also device context.
graphic objects
The pen, brush, bitmap, palette, region, and path associated with a device context. See also bitmap, brush, device context, palette, path, region.
graphical user interface (GUI) process
A process whose entry point is the WinMain function. A GUI process uses the USER/graphics device interface (GDI) functions for input and output (I/O), while a console process uses the console functions or the file I/O functions. See also console process.
graphics device interface
A dynamic-link library that processes graphics function calls from a Windows-based application and passes those calls to the appropriate device driver. See also dynamic-link library (DLL).
group box
A rectangle used to group related controls (usually check boxes or radio buttons). Because its sole purpose is to organize other controls, a group box cannot be selected. See also check box, radio button.
guarded body of code
A set of one or more statements for which an exception or termination handler provides protection.
GUI process
See graphical user interface (GUI) process.


H

handle
A variable that identifies an object; an indirect reference to an operating system resource.
hatched brush
A logical brush created from one of twenty predefined bitmaps. See also bitmap, logical brush.
hidden window
A window that does not have the WS_VISIBLE style. A hidden window does not appear on the screen. As a result, it cannot receive user input or display output, although it can receive input from Windows and other applications.
high-performance file system (HPFS)
A file system that supports extended attributes and long, mixed-case filenames, and improves operating system performance by implementing several levels of caching. HPFS files are not supported on 32-bit versions of Microsoft Windows.
high-resolution performance counter
Hardware that provides high-resolution timing useful in improving the performance of applications.
hit testing
(1) The process of detecting user input by using the position of the mouse cursor hot spot. See also hot spot.

(2) A procedure for determining the current cursor position related to a given region. See also region.

hive
A discrete body of registry information, typically rooted at the top of the registry hierarchy. Each hive is usually supported by a single file of registry data.
HLS format
A color format that identifies a given color with a HLS (hue, luminosity, and saturation) triplet.
HMS time format
A time format used by Media Control Interface (MCI) to express time in hours, minutes, and seconds. The HMS time format is used primarily by videodisc devices.
hollow brush
See null brush.
hook
A point in the Windows message-handling mechanism where an application can install a subroutine to monitor messages.
hook chain
A list of pointers to the hook procedures associated with a hook. When a message occurs that is monitored by the hook, Windows calls the first hook procedure in the chain.
hook procedure
An application-defined callback function whose address has been installed in a hook chain.
hot key
A key combination that generates a WM_HOTKEY message.
hot spot
The pixel in a cursor that marks the exact screen location affected by a mouse action, such as a button click. Mouse messages include the coordinates of the hot spot. See also cursor, pixel.
HPFS
See high-performance file system (HPFS).


I

icon
A small bitmap that usually represents a minimized application. Icons may also serve as symbols in warning messages or other windows. See also bitmap.
icon handle
A unique value of the HICON type that identifies an icon. See also icon.
iconic
Minimized. If an icon represents a minimized application, the application's window is said to be iconic. See also icon, window.
ideographic
A single character that represents a word, object or a phrase — for example, a single character that means "month." This term would apply to the Han script.
IMA
See Interactive Multimedia Association (IMA) and International MIDI Association (IMA).
image
A rectangular region on a video display that contains a graphical representation of an object. See also rectangular region.
impersonation token
An access token that has been created to capture the security information of a client process, allowing a server to "impersonate" the client process in security operations. See also access token, primary token.
import library
A .LIB file that contains information about one or more dynamic-link libraries (DLLs), but does not contain the DLL's executable code. The linker uses an import library when building an executable module of a process, to provide the information needed to resolve the external references to DLL functions. See also dynamic-link library, process.
information context
A device context used strictly for data retrieval; it cannot be used for any drawing operations. See also device context.
input buffer
A buffer containing a queue of input records with information about keyboard, mouse, and window-sizing events for a console. See also console.
input event
An event--such as a keystroke, mouse movement, or mouse-button click--that causes a console to place an INPUT_RECORD structure in its input buffer. A console process can get information about an input event by reading from the console's input buffer.
instance
An instantiation of a particular object type in a class, such as a specific process or thread. All instances of a given type have identical performance counters.
instance subclassing
A type of subclassing where an application replaces the window-procedure address of a single instance of a window with the address of a subclass procedure. See also subclassing, window.
integer atom
An atom that identifies an integer value. See also atom.
Interactive Multimedia Association (IMA)
A professional trade association of companies, institutions, and individuals involved in producing and using interactive multimedia technology.
interlocked operation
The thread that performs an interlocked operation on a LONG variable is guaranteed to have exclusive access to the variable until the operation is complete.
International MIDI Association (IMA)
The nonprofit organization that circulates information about the Musical Instrument Digital Interface (MIDI) specification.
irregular curve
A curve that does not fit the perimeter of a conic section.
irregular shape
A shape composed of curves and straight line segments.
item name
A string that identifies a unit of data a server can pass to a client during a transaction.


J

job object
An object that allows groups of processes to be managed as a unit. Job objects are namable, securable, sharable objects that control attributes of the processes associated with them. Operations performed on the job object affect all processes associated with the job object. See also process.
join style
A geometric pen attribute that specifies how the ends of connected lines are joined. See also geometric pen.
junction point
A directory in a Distributed File System (Dfs) tree structure that points to, or references, a different Net (formerly LAN Manager) share. A junction point that has one or more shares for its storage has alternate paths. See also Distributed File System (Dfs), leaf volume, root volume, alternate path.


K

key
An entry (or node) in the registry. A key may have one or more values, subkeys, or both. With the exception of four predefined keys, all keys are subkeys of other keys. See also registry, subkey.
keyboard accelerator
A keystroke or combination of keystrokes that sends a command message to the specified application window.
keyboard focus
A property of the window currently receiving keyboard input. Only one window at a time can have the keyboard focus. See also window.


L

language identifier
A 16-bit value that identifies a language and, where appropriate, the variant of the language being used. A language identifier is a combination of a primary language identifier and a sublanguage identifier. For example, if the primary language identifier specifies English, the sublanguage identifier might specify Australian English.
last-chance notification
The last time the kernel notifies the debugger of an exception. If the debugger does not handle an exception after last-chance notification, the kernel terminates the process being debugged. See also debugger, process.
last-error code
A per-thread value set by Win32 functions when an error occurs. The last-error code can be retrieved by using the GetLastError function.
LCID
See locale identifier.
leaf volume
A Net (formerly LAN Manager) share in a Distributed File System (Dfs) tree structure that has no junction points. Each leaf volume in a Dfs tree can be physically located on a different server. See also Distributed File System (Dfs), junction point, root volume.
license
The certificate that grants a software product the permission to run. It can be in the form of a paper certificate with manually entered information, a binary file, or a combination of the two. An LSAPI-compliant license must contain a minimum of the software publisher name, the product name, the version, four secret values, and a license policy. See also License Service Application Programming Interface (LSAPI), secret.
license policy
The terms under which a software product is granted permission to run. Examples of types of license policy include concurrent use, dynamic allocation, personal use, time-restricted, and site license.
license server
The part of a license system that runs on a file or applications server. See also license system.
License Service Application Programming Interface (LSAPI)
A standardized set of functions that provides license-tracking services within applications. These services include the ability to request that the licensing system grant the application software rights to run, release those rights when they are no longer needed, and update the state of the licensing resources granted to the software product. The LSAPI specification provides a standard interface between LSAPI-enabled software and LSAPI-compliant software licensing products. See also basic challenge protocol.
license system
A software product that tracks the use of desktop applications. See also license server.
line
A set of highlighted pixels on a video display (or a series of dots on a printed page) that is defined by two points: a starting point and an ending point. See also pixel.
line and curve attributes
The width, color, style, and (in the case of lines or curves drawn with a geometric pen) end cap, join style, and transformation of a line or curve. See also end cap, geometric pen, join style, transformation.
list box
A control window that contains a list of items that can be selected by the user.
LIST chunk
A Resource Interchange File Format (RIFF) chunk with a chunk identifier of LIST. LIST chunks contain a series of subchunks.
list type
A four-character code (FOURCC) identifying the type of data contained in a Resource Interchange File Format (RIFF) chunk with a chunk identifier of LIST. For example, a LIST chunk with a list type of INFO contains a list of information about a file, such as the creation date and author.
load-time linking
Dynamic linking that occurs when a program (either an application or another dynamic-link library [DLL]) makes an explicit call to a DLL function. This requires that the executable module of the program be built by linking with the DLL's import library. When the program is executed, the operating system uses the information provided by the import library to locate the executable module of the DLL, which is mapped into the address space of the process. See also import library, process.
local atom
An atom stored in an application's atom table. The value of a local atom is unique within the application but may not be unique throughout the operating system. See also atom, atom table.
local atom table
See atom table.
locale identifier (LCID)
A DWORD value containing the language identifer in the lower word and a reserved value in the upper word. The identifier supplied in an LCID is a standard international numeric abbreviation. This LCID has the components necessary to uniquely identify one of the installed system-defined locales.
locally unique identifier (LUID)
A 64-bit value guaranteed to be unique on the operating system that generated it (until the system is restarted).
Locator
See Microsoft Locator.
logfile
A configuration registry key that specifies the filename of an event log. Logfiles are subkeys of the EventLog registration key. See also key, subkey.
logging off
The action of stopping all processes running in the security context of the process that called the Exit function.
logical brush
A description of a bitmap. A logical brush can be selected into a device context. See also bitmap, device context.
logical coordinate space
Another name for the world or page coordinate space. If an application has set a world-space to page-space transformation, the logical space is the world space; otherwise, the logical space is the page space.
logical palette
An array of colors, or "color palette," that an application creates and associates with a device context and uses for graphics output. See also device context.
logical volume
See partition.
long filemark
A filemark that contains a long erase gap that enables an application to position the tape at the beginning of the filemark and to overwrite the filemark and the erase gap. See also erase gap.
LSAPI
See License Service Application Programming Interface
LSAPI-enabled application
A desktop application that makes calls to the LSAPI function layer to register license usage. See also License Service Application Programming Interface (LSAPI).
LSAPI-compliant licensing system
A software licensing product that conforms to the LSAPI standard and supports the LSAPI interface. See also License Service Application Programming Interface (LSAPI).
LUID
See locally unique identifier.


M

mailslot
A pseudofile used for one-way interprocess communications.
mailslot client
A process that writes a message to a mailslot.
mailslot server
A process that creates and owns a mailslot and can read messages from it. See also process.
main window
The window that serves as the primary interface between the user and an application.
manual-reset event object
See event object.
mapping
A representation of the elements (or points) from a source coordinate space on a target coordinate space.
mapping mode
An algorithm that specifies the size of the units used for any drawing operations associated with a particular device context.
matrix
An n-dimensional array that is used to specify a transformation. Transformations in a two-dimensional space require either a two-dimensional or a three-dimensional array.
maximize box
A window component that, when clicked, causes the system to enlarge the window to the size of the screen.
maximized window
A window that has the WS_MAXIMIZE style. A maximized top level window fills the screen; a maximized child window fills the client area of its parent window.
maximum tracking size
The largest window size the user can produce by dragging the sizing border.
MCI
See Media Control Interface.
MD4 Message-Digest Algorithm
An algorithm that LSAPI uses in the basic challenge protocol security mechanism. The MD4 Message-Digest Algorithm from RSA Data Security, Inc., uses a message of arbitrary length as input, and returns a 128-bit message digest. See also basic challenge protocol, License Service Application Programming Interface (LSAPI), secret.
MDI client window
See multiple document interface client window.
MDI frame window
See multiple document interface frame window.
Media Control Interface (MCI)
High-level control software that provides a device-independent interface to multimedia devices and media files. MCI includes a command-message interface and a command-string interface.
memory device context (DC)
See compatible device context (DC).
menu
A list of items that represent an application's commands. A menu item can be either a string or a bitmap. See also bitmap, menu item.
menu bar
The topmost menu in a hierarchy of menus. A menu bar typically contains one or more menu items that the user can select to display pop-up menus. See also menu, menu item, pop-up menu.
menu handle
A unique value of the type HMENU used to identify a menu. See also menu.
menu item
A string or bitmap displayed in a menu. Choosing a menu item either sends a command message or activates a pop-up menu. See also bitmap, pop-up menu.
message
A data packet used for communicating information or a request. Messages can be passed between the operating system and an application, different applications, threads within an application, and windows within an application. See also thread, window.
message loop
A program loop that retrieves messages from a thread's message queue and dispatches them to the appropriate window procedures. See also message queue.
message parameters
A pair of 32-bit values that contains information a window procedure uses while processing a message.
message queue
An operating system-defined memory object that holds an ordered list of messages awaiting processing. The system message queue holds mouse and keyboard input waiting to be passed to a thread's message queue. A thread's message queue holds messages waiting to be retrieved by a thread's message loop. See also message loop.
message-type pipe
A named pipe where data is written as a stream of messages. See also named pipe.
metafile
An array of variable-length structures (called metafile records) that store a picture in a device-independent format. A metafile is played when its records are converted to device commands and processed by the appropriate device. (There are two metafile formats: the enhanced format and the Windows format.)
metafile bits
The binary representation of a metafile. The bits include the header, an optional palette, an optional text description of the metafile contents, and the metafile records. See also metafile record, palette.
metafile device context (DC)
A device context that is used for metafile operations. See also device context.
metafile handle table
An array of handles that identify pens, brushes, fonts, and other objects used to create the picture stored in the metafile. See also brush, font, handle, metafile, pen.
metafile header
A structure that specifies the size of the picture stored in the metafile, the size of the metafile (in bytes), the number of entries in the metafile palette, the number of records in the metafile, a pointer to the metafile description (if one exists), and a pointer to the metafile palette (if one exists). See also metafile, metafile palette, palette.
metafile palette
An array of red, green, blue (RGB) values that represent the colors used to create the picture stored in a metafile. See also metafile.
metafile record
A variable-length structure that contains information such as resolution of the device on which the picture was created, the dimension of the picture, and the GDI functions required to create the picture. See also metafile.
Microsoft Locator
A Windows NT® implementation of the Microsoft RPC name-service interface (NSI) for distributed applications. The server application registers its availability, in the form of a name-service entry, with the Locator database. Client applications query the Locator for information such as interface UUIDs, object UUIDs, and network addresses.
MIDI
See Musical Instrument Digital Interface.
MIDI control-change message
A Musical Instrument Digital Interface (MIDI) message sent to a synthesizer to change different synthesizer control settings. An example of a control-change message is the volume controller message, which changes the volume of a specific MIDI channel.
MIDI Manufacturers Association (MMA)
A collective organization composed of Musical Instrument Digital Interface (MIDI) instrument manufacturers and MIDI software companies. The MMA works with the MIDI Standard Committee to maintain the MIDI specification.
MIDI Mapper
Windows systems software that modifies Musical Instrument Digital Interface (MIDI) output messages and redirects them to a MIDI output device using values stored in a MIDI setup map. The MIDI Mapper can change the destination channel and output device for a message, as well as modify program-change messages, volume values, and key values.
MIDI mapping
The process of translating and redirecting Musical Instrument Digital Interface (MIDI) messages according to data defined in a MIDI map setup.
MIDI program-change message
A Musical Instrument Digital Interface (MIDI) message sent to a synthesizer to change the patch on a specific MIDI channel.
MIDI sequence
Musical Instrument Digital Interface (MIDI) data that can be played by a MIDI sequencer.
MIDI sequencer
A program that creates or plays songs stored as Musical Instrument Digital Interface (MIDI) files. When a sequencer plays MIDI files, it sends MIDI data from the file to a MIDI synthesizer, which produces the sounds. Windows provides a MIDI sequencer, accessible through media control interface (MCI), that plays MIDI files. See also Media Control Interface (MCI).
MIDI setup map
A complete set of data for the Musical Instrument Digital Interface (MIDI) Mapper to use when redirecting MIDI messages. Only one setup map can be in effect at a given time, but the user can have several setup maps available and can choose between them by using the MIDI Mapper Control Panel option.
minimize box
A window component that, when clicked, causes the system to reduce the window to the size of an icon.
minimized window
A window that has the WS_MINIMIZE style. A minimized window is the same size as an icon. The system displays a minimized top-level window at the bottom of the screen; the system displays a minimized child window at the bottom of its parent window's client area.
minimum tracking size
The smallest window size the user can produce by dragging the window's sizing border.
MMA
See MIDI Manufacturers Association.
module-definition file
A text file (.DEF) that contains one or more statements describing various attributes of an executable module. A dynamic-link library (DLL) must have a .DEF file to specify the DLL's name and a list of its exported functions. See also dynamic-link library (DLL).
mouse capture
The act of channeling mouse input to a specific window without regard to the position of the mouse-cursor hot spot. See also hot spot, window.
MS-DOS date
A date in the format used by MS-DOS. The date is a packed 16-bit value in which bits in the value represent the day, month, and year.
MS-DOS time
A time in the format used by MS-DOS. The time is a packed 16-bit value in which bits in the value represent the hour, minute, and second.
MSF time format
A time format used by Media Control Interface (MCI) to express time in minutes, seconds, and frames. The number of frames in a second depends on the type of device being used; compact disc audio devices use 75 frames per second. The MSF time format is used primarily by compact disc audio devices.
multibyte character set
A character set in which each character is identified by using more than one byte--for example, a double-byte character set (DBCS). Although Unicode characters are 2 bytes wide, the Unicode character set is not referred to by this term. See also double-byte character set (DBCS), single-byte character set, Unicode.
multiple document interface (MDI) client window
A window that belongs to the MDICLIENT window class. An MDI client window serves as the background for MDI child windows, and it provides support for creating and manipulating child windows. See also window.
multiple document interface (MDI) frame window
The main window of a multiple document interface (MDI) application. See also window.
multiple-selection list box
A list box in which more than one item can be selected at the same time.
Musical Instrument Digital Interface (MIDI)
A standard protocol for communication between musical instruments and computers.
mutex object
An interprocess synchronization object whose state is set to signaled when it is not owned by any thread, and nonsignaled when it is owned. Only one thread at a time can own a mutex. See also nonsignaled, signaled, synchronization object.


N

named pipe
A one-way or two-way pipe used for communications between a server process and one or more client processes. A server process specifies a name when it creates one or more instances of a named pipe. Each instance of the pipe can be connected to a client process that uses the pipe name to open a handle to the other end of the pipe. See also handle, pipe.
network provider
The supplier of a complete implementation of a networking system: for example, Microsoft Server or Novell Netware.
network root
The topmost container resource in a network hierarchy. The network root can contain the network providers on a system.
nonclient area
The parts of a window that are not a part of the client area. A window's nonclient area consists of the border, menu bar, title bar, scroll bar, System menu, Minimize button, and Maximize button. See also menu bar, scroll bar, window.
nonpalettized device
The color output of a palettized device is stored in an array of RAM locations associated with the device. Images that are output to the device do not contain colors in their pixel information. They contain indexes for the array of palette colors. The contents of the palette can be changed by software as a program runs.
nonpalettized display mode
A mode in which the bit depth indicates the total number of bits that are used to describe a pixel.
nonqueued message
A message sent directly to a window procedure.
nonsignaled
The state of an object used for synchronization in one of the wait functions is either signaled or nonsignaled. A nonsignaled state can prevent the wait function from returning. See also signaled, wait function.
nonspacing character
A character that prints over the preceding character--typically, an accent mark. See also base character.
normal filemark
A filemark that does not contain an erase gap. See also erase gap.
notification message
A message a control sends to its parent window when events, such as input from the user, occur.
NTFS file system (NTFS)
A file system that supports object-oriented applications by treating all files as objects with user-defined and system-defined attributes. NTFS provides all the capabilities of the file allocation table (FAT) file system without many of its limitations.
null brush
A logical brush created from a bitmap that matches the current window background colors. (A null brush is identical to a hollow brush.) See also bitmap , hollow brush, logical brush.


O

object
(1) An internal structure that represents a system resource, such as a file, a thread, or a graphic image. See also thread.

(2) A network resource that does not contain any further network resources. It is not necessarily possible to connect to an object.

object type
A measurable entity, such as a processor, disk, or thread.
Open common dialog box
A common dialog box that displays a list of filenames matching any specified extensions, directories, or drives. By selecting one of the listed filenames, the user indicates the file an application should open. See also common dialog box, directory.
overlapped input and output (I/O)
See asynchronous input and output (I/O).
overlapped window
A style of window meant to serve as an application's main window.
owned window
A window that has an owner. Being owned affects the window's position in the Z order and its visibility and can determine when the window is destroyed.
owner window
A window that affects aspects of another window's appearance and behavior.
owner-drawn button
A button with the style BS_OWNERDRAW. Unlike all other button types, an owner-drawn button has no predefined appearance or behavior. Also, the application, not the system, is responsible for painting it. See also button.
owner-drawn control
A predefined control that sends messages to its parent window when it must be drawn.
owner-drawn item
A menu item whose appearance is controlled by a menu's owner window rather than by the system. See also menu item, window.


P

page
A unit of memory that is used by the system in managing memory. The size of a page is computer dependent and can be determined by using the GetSystemInfo function. The system manages memory by assigning pages of memory to specific processes, moving pages to and from a paging file on disk to keep the most recently used pages in physical memory (RAM), and maintaining a page map for each process that keeps track of the current physical location of each committed page in a process's virtual address space. See also committed page, page map.
page coordinate space
The coordinate space in which all graphics device interface (GDI) drawing operations begin if an application has not set the world-space to page-space transformation.
page map
An internal data structure maintained by the system for each process that maps the pages of a process's virtual address space with the corresponding pages of physical storage. See also page.
paging file
A disk file that the system uses to increase the amount of physical storage.
palette
An array of colors currently available on a device.
palettized device
A device that uses the bit values in the frame buffer to directly define their color.
palettized display mode
A mode in which each pixel is a value representing an index into an associated palette. The bit depth of the display mode determines the number of colors that can be in the palette. For example, in an 8-bit palettized display mode, each pixel is a value from 0 to 255. In such a display mode, the palette can contain 256 entries.
palette animation
A method of updating the colors in the logical palette.
PANOSE numbers
Special values specified by an application to select a particular font.
parent process
A process (parent) that initiates and controls another process (child) in a multitasking environment. The parent process defines the environment for the child process. The parent process can suspend or complete its own processing while the child process continues its operation. See also child process.
parent window
A window that has one or more child windows.
partition
A logically distinct portion of memory or a storage device that the system references as though it were a physically separate unit. The partition is referenced as a separate volume. For example, a single fixed disk may be divided into two partitions, referred to as C and D, even though they exist on the same physical volume.
parts per quarter note (PPQN)
A time format used for Musical Instrument Digital Interface (MIDI) sequences. PPQN is the most common time format used with standard MIDI files.
patch
A particular setup of a Musical Instrument Digital Interface (MIDI) synthesizer that results in a particular sound, usually a sound simulating a specific musical instrument. Patches are also called programs. A MIDI program-change message changes the patch setting in a synthesizer. Patch also refers to the connection or connections between MIDI devices. See also Musical Instrument Digital Interface (MIDI).
patch caching
A technique that enables some internal Musical Instrument Digital Interface (MIDI) synthesizer device drivers to preload their patch data, reducing the delay between the moment the synthesizer receives a MIDI program-change message and the moment it plays a note using the new patch. Patch caching also ensures that required patches are available (the synthesizer might load only a subset of its patches). See also Musical Instrument Digital Interface (MIDI), patch.
path
(1) A string that describes the location of a file or directory on a volume relative to the current directory or the root directory.

(2) One or more figures that are filled, outlined, or filled and outlined. See also directory, volume.

path bracket
One or more graphics device interface (GDI) functions embedded between a BeginPath and an EndPath function. (The BeginPath function defines the start of the bracket; the EndPath function defines the end.)
pattern brush
A logical brush created from an application-defined bitmap. See also bitmap, logical brush.
pen
A drawing tool used to draw lines and curves.
pen style
One of the cosmetic and geometric pen attributes that define the appearance of lines drawn with the pen. There are eight possible styles: solid, dashed, dotted, dashed and dotted, dash followed by two dots, invisible, inside frame, and user defined. See also cosmetic pen, geometric pen, pen.
pen type
An attribute that determines whether the pen's dimensions are specified in world units or device units.
performance monitoring
The process of determining the system resources an application consumes, such as processor time and memory.
persistent connection
A network connection that the system restores automatically when the user logs on.
physical brush
A bitmap that the system uses to paint the interior of filled shapes. A physical brush is a device driver's approximation of a logical brush. See also bitmap, logical brush.
physical device
The fourth and final coordinate space for most graphics device interface (GDI) drawing operations. (The points in this coordinate space may correspond to the desktop, a client area, or a page of printer paper.)
physical palette
See system palette.
picture frame
A rectangle defining the width and height of the picture stored in a metafile. (The dimensions of this rectangle are always specified in .01-mm units.) See also metafile.
pie
A region bounded by the intersection of an ellipse and two radials. In Windows, a pie is outlined by using the current pen and filled by using the current brush. See also ellipse, radial.
pipe
A communication conduit with two ends. A process with a handle to one end can communicate through a pipe with a process having a handle to the other end. Pipes can be one way (where one end is read only and the other end is write only) or two way (where both ends of the pipe can be used for reading or writing). The Win32 application programming interface (API) provides both anonymous (unnamed) pipes and named pipes. See also anonymous pipe, handle, named pipe, process.
pipe instance
A separate conduit for named pipe communications between a client and a server process. A named pipe can have multiple instances, where all instances share the same pipe name but each instance has its own buffers and handles. See also handle, named pipe.
pitch scale factor
In waveform audio, the amount by which a waveform audio driver scales the pitch. A scale factor of two results in a one-octave increase in pitch. Pitch scaling requires specialized hardware. The playback rate and sample rate are not changed.
pixel
The smallest definable unit on a video display. (A pixel's size is a function of video-display technology.)
playback rate scale factor
In waveform audio, the amount by which the waveform audio driver scales the playback rate. Playback scaling is accomplished through software; the sample rate is not changed, but the driver interpolates by skipping or synthesizing samples. For example, if the playback rate is changed by a factor of two, the driver skips every other sample.
playing a metafile
The process of converting the records in a metafile into the respective device commands and drawing the corresponding picture on the device. See also metafile.
Point-to-Point Protocol (PPP)
The Point-to-Point Protocol, or PPP, is an industry-standard suite of control protocols that allow multiple network protocols to be carried on a point-to-point link. Windows NT supports IP, IPX, and NBF connections using PPP. This allows the use of applications that write to a network-specific interface, connections to third-party PPP servers, and remote access to the Internet.
polygon
A closed figure with straight sides. In Windows, a polygon is outlined by using the current pen and filled by using the current brush. See also brush, pen.
polygon fill mode
An algorithm that determines the parts of a region that can be filled, painted, inverted, or clipped. See also region.
polygonal region
A region with the shape of a polygon. See also polygon, region.
polyphony
The maximum number of notes that a Musical Instrument Digital Interface (MIDI) output device can play simultaneously.
pop-up item
A menu item that, when chosen, displays a pop-up menu. See also menu item, pop-up menu.
pop-up menu
A menu that is hidden until the user performs an action that causes the system to display the menu. See also menu.
pop-up window
A special type of overlapped window typically used for dialog boxes, message boxes, and other temporary windows that appear outside an application's main window.
PPP
See Point-to-Point Protocol.
PPQN
See parts per quarter note.
precomposed character
An accented character represented by a single character value. See also base character, composite character, nonspacing character.
predefined control
A control belonging to a window class supplied by the system.
preimaging
The process of building a movie frame in a memory buffer before it is displayed.
primary domain
The domain used by the local computer as its usual and default network environment. See also domain.
primary language identifier
An 8-bit value identifying the primary language in a language identifier. See also language identifier, sublanguage identifier.
primary thread
The initial thread of a process. Also called the main thread or thread 1. When the main or WinMain function of a primary thread returns, the ExitProcess function is called implicitly, terminating all other threads of the process. A primary thread does not differ from other threads with respect to signals because all signals are delivered to the thread that caused them. See also process, thread.
primary token
An access token that is typically created only by the Windows NT® executive layer. It may be assigned to a process to represent the default security information for that process. See also access token, impersonation token.
Print common dialog box
A common dialog box that displays information about the installed printer and its configuration. By altering and selecting controls in this dialog box, the user specifies how output should be printed and starts the printing process. See also common dialog box.
Print-setup common dialog box
A common dialog box that displays the current printer configuration and provides options for setting the paper orientation, size, and source. See also common dialog box.
priority class
A process priority category (high, normal, or idle) used to determine the scheduling priorities of a process's threads. Each priority class has five levels. See also thread.
private memory
Pages of a process's memory that cannot be accessed by other processes. All memory objects allocated by the GlobalAlloc, LocalAlloc, VirtualAlloc, and HeapAlloc functions are in private pages.
privilege
The right of a user to perform various system-related operations, such as shutting down the system, loading device drivers, or changing the system time. A user's access token contains a list of the privileges held by either the user or the user's groups.
process
An executing application that consists of a private virtual address space, code, data, and other operating system resources, such as files, pipes, and synchronization objects that are visible to the process. A process also contains one or more threads that run in the context of the process. See also pipe, process, thread.
profile
A set of configurable options for a user. See also control set.
push button
A rounded rectangle used by the user to start or cancel an operation by clicking the rectangle, which "pushes" the button. A default push button is "pushed" when the user presses the ENTER key. See also button.


Q

queued message
A message in a message queue. See also message queue.


R

race condition
A bug in a multithreaded process where the code of thread A relies on thread B to complete some action, but where there is no synchronization between the two threads. The process works if thread B wins the race by completing its action before thread A needs it, but the process fails if thread A wins the race. See also process, thread.
radial
A line drawn from the center of an ellipse to a point on the ellipse. See also ellipse.
radio button
A round button operated by the user to choose from a set of related but mutually exclusive options. The check mark for a radio button is a black dot. A radio button can assume two states: checked (dot) or unchecked (no dot). In automatic radio buttons, the system is responsible for changing the state of the radio button.
raster device
A device that creates text and graphics output by highlighting rows and columns of pixels (in the case of video displays) or rows and columns of dots (in the case of printers). See also pixel.
rasterizer
A Windows dynamic-link library that converts the graphics commands and hints for TrueType glyphs into actual bitmaps that are drawn on a video display or page of paper. See also bitmap, glyph, dynamic-link library (DLL).
rectangular region
A region with the shape of a rectangle. See also region.
Red Book audio
See compact disc – digital audio (CD-DA).
red, green, blue (RGB) format
A color format that identifies a given color with a red, green, blue (RGB) triplet. This format is used by video displays.
reference count
The number of times a string has been added to or deleted from an atom table. The AddAtom or GlobalAddAtom function increments the count; the DeleteAtom or GlobalDeleteAtom function decrements the count. See also atom table.
reference device
The device where the original picture was created.
reference device context (DC)
The device context associated with the reference device.
reflection
A transformation that creates a mirror image of an object.
region
A rectangle, polygon, ellipse (or a combination of two or more of these shapes) used by Windows-based applications to define a part of the client area to be painted, inverted, filled with output, framed, or used for hit testing. See also ellipse, hit testing, polygon.
region operation
A procedure such as inverting, painting, clipping, or hit testing. See also clipping, hit testing.
registered clipboard format
A clipboard format registered by an application, as opposed to a standard clipboard format.
registry
The database in which configuration information is registered. This database takes the place of most configuration and initialization files for Windows and new Windows-based applications.
regular curve
A curve that defines the perimeter of a conic section.
relative identifier (RID)
The portion of a security identifier (SID) that identifies a user or group in relation to the authority that issued the SID. See also security identifier (SID).
render
To make data available in a specific clipboard format. See also clipboard format.
Replace common dialog box
A common dialog box that displays two edit controls where the user can type strings: The first string identifies a word or value that the application should replace, and the second string identifies the replacement word or value. See also common dialog box, edit control.
reserved page
A page of memory in a process's virtual address space that has been set aside for future use. The page is not accessible and has no physical storage associated with it. A reserve page reserves a range of virtual addresses that cannot be used subsequently by other allocation operations.
resolution
(1) For joysticks, the minimum and maximum intervals between joystick messages sent for a captured joystick.

(2) For timers, the accuracy of the timer event. A resolution value of zero means that the event must occur at the exact time requested; a resolution value of ten means that the event must occur within ten milliseconds of the requested time.

resource
Binary data the resource compiler or developer adds to an application's executable file. Windows resources include icons, cursors, menus, dialog boxes, bitmaps, fonts, keyboard-accelerator tables, message-table entries, string-table entries, version data, and user-defined data.
resource compiler
An application that creates a binary resource file based on the resource-definition file. The resource compiler can also append binary resource data to an executable file and create a resource table in the executable file's header. See also resource table.
resource-definition file
A text file containing descriptions of an application's resources. The resource compiler creates a binary resource file based on the contents of the resource-definition file. Resource-definition files usually have a .RC extension.
resource file
A binary file created by the resource compiler that contains an application's resource data. Resource files usually have a .RES extension. See also resource compiler.
Resource Interchange File Format (RIFF)
A tagged-file specification used to define standard formats for multimedia files. Tagged-file structure helps prevent compatibility problems that often occur when file-format definitions change over time. Because each piece of data in the file is identified by a standard header, an application that does not recognize a given data element can skip over the unknown information. See also tagged file format.
resource object
An object file that consists of the resource file and the resource table. The linker links the resource object to the executable file. See also resource file.
resource table
Data the resource compiler adds to the header of an application's executable file. This data includes the location, name, type, language, and so on, of each resource in the executable file. See also resource compiler.
restore box
A bitmap that, when clicked, restores the window to its previous size and position.
restored window
A window that does not have the WS_MAXIMIZE or WS_MINIMIZE style.
RGB color space
A color space type that represents colors as red, green and blue coordinates by mapping the color components onto a Cartesian coordinate system in three or more dimensions. red, green, and blue each have a numeric color value; their intensity and hue can be changed by adding to or subtracting from those values. All three coordinates are needed for the calculation of any color.
RGB format
See red, green, blue (RGB) format.
RGB triplet
Consists of three 8-bit values specifying the RGB intensities of its color components.
RID
See relative identifier (RID).
RIFF
See Resource Interchange File Format (RIFF).
RIFF chunk
A chunk with chunk identifier Resource Interchange File Format (RIFF) that includes an identifying code and zero or more subchunks, the contents of which depend on the form type.
RIFF file
A file whose format complies with one of the published Resource Interchange File Format (RIFF) forms. Examples of RIFF files include WAVE files for waveform audio data, RMID files for Musical Instrument Digital Interface (MIDI) sequences, and RDIB files for device-independent bitmaps.
RIFF form
A file-format specification based on the Resource Interchange File Format (RIFF) standard.
root directory
The topmost directory on a volume. Files and directories on a volume are organized in a tree structure whose entry point is the root directory. The root directory is referenced in a path by a single backslash (\\) or a leading backslash in a longer path (\\MYDIR\\MYFILE.TXT). See also directory, path, volume.
root volume
A directory hosted by a server running Windows NT Server 4.0 and later that is unique to one Dfs tree structure. There can be multiple Dfs trees on one network, but a server can have only one share that serves as a Dfs root. See also Distributed File System (Dfs), junction point, leaf volume.
rotation
A transformation that rotates an object with respect to the coordinate-space origin.
run-time linking
Dynamic linking that occurs when the LoadLibrary and GetProcAddress functions are used to get the starting address of a dynamic-link library (DLL) function.


S

SACL
See system access control list .
sample
A discrete piece of waveform data represented by a single numerical value. Sampling is the process of converting analog data to digital data by taking samples of the analog waveform at regular intervals.
sampling rate
The rate at which a waveform audio driver performs audio-to-digital or digital-to-audio conversion. For compact disc – digital audio (CD-DA), the sampling rate is 44.1 kHz. See also compact disc – digital audio
Save As common dialog box
A common dialog box that displays a list of filenames matching any specified extensions, directories, or drives. By selecting one of the listed filenames, the user indicates what file an application should save. See also common dialog box.
scalable font
A TrueType font. See also TrueType font.
scaling
A transformation that alters the apparent size of an object.
scan code
A device-dependent value that identifies a physical key on the keyboard. Each key on a keyboard generates two unique scan codes--one when the user presses the key and the other when the user releases the key.
scan line
A single row of adjacent pixels on a video display. See also pixel.
scheduler
The component of the operating system that determines which of the competing threads receives the next slice of the processor's time. See also thread.
screen buffer
A two-dimensional array of character and color data for output in a console window. A screen buffer can be accessed for reading and writing whether it is active or inactive. Its character data can be either a Unicode™ or ANSI value. See also console window.
screen coordinates
Coordinates relative to the upper left corner of the screen.
scroll bar
An element of the Windows user interface that converts mouse or keyboard input into values that a window procedure can use to shift the contents of a window's client area either horizontally or vertically. See also window procedure.
scroll bar control
A predefined control window that belongs to the SCROLLBAR window class. See also window.
scroll box
A movable area in a scroll bar that indicates the position of the information currently displayed in the associated window. The position of the scroll box is relative to the total amount of information available for display. See also scroll bar.
scrolling
The process of shifting a data object in a window's client area in order to see parts of the object that extend beyond the border of the client area.
scrolling range
The minimum and maximum values that a scroll bar can report. See also scroll bar.
secant
A line drawn through two points on an ellipse. See also ellipse.
secret
A key value that the software publisher chooses and then typically encrypts within the software license. An LSAPI-compliant license must have a minimum of four secrets, each 4 bytes (32 bits) long. See also basic challenge protocol, License Service Application Programming Interface (LSAPI), MD4 Message-Digest Algorithm.
security descriptor
A structure and associated data that contains the security information for a securable object. A security descriptor identifies the object's owner and primary group. It can also contain a DACL that controls access to the object, and a SACL that controls the logging of attempts to access the object. See also absolute security descriptor, discretionary access-control list (DACL), self-relative security descriptor, system access-control list (SACL).
security domain
A collection of nodes in a security database that share a common set of user and group accounts.
security identifier (SID)
A structure of variable length that uniquely identifies a user or group on all Windows NT® implementations.
seek
(1) With file input and output (I/O), to change the current position in the file. (The current position is the location where the next read or write operation will take place.)

(2) With a media device (such as a hard disk), to position the medium so a certain sector can be accessed. The seek operation involves a physical movement of the device, so the time it takes can often be perceived by the user.

selection field
The portion of a combo box that displays the currently selected item. Selecting an item in the list causes that item to appear in the selection field. In simple and drop-down combo boxes, the selection field is an edit control and can be used to enter input not in the list.
self-relative security descriptor
See security descriptor.
semaphore object
An interprocess synchronization object that maintains a count between zero and some maximum value. The object's state is set to signaled when its count is greater than zero, and nonsignaled when its count is zero. See also synchronization object.
sequence
See MIDI sequence.
sequencer
See MIDI sequencer.
service
An executable object that is installed in a registry database maintained by the Service Control Manager. The executable file associated with a service can be started at boot time by a boot program or by the system, or it can be started on demand by the Service Control Manager. The two types of service are Win32 service and driver service. See also driver service, Win32 service.
service control manager
A Windows NT system process that provides a unified and secure means of controlling Win32 and driver services. Each computer that is running Windows NT has a service control manager process that is started during system startup.
service name
A string that a server application responds to when a client attempts to establish a conversation with the server.
setmark
A special recorded element that contains no user data and is used to provide a segmentation scheme hierarchically superior to filemarks. Setmarks typically provide faster positioning on high-capacity tapes.
share mode
A condition that indicates whether a file is to be shared for reading, writing, both, or neither.
shared arena
The Windows 95 shared arena (or shared address space) is the memory in the address range between 2 GB and 3 GB. It contains components that must be mapped into the address space of every process, such as the 16-bit global heap, shared system DLLs, and file views of file mapping objects. The DPMI server also allocates memory in this address range.
shared memory
Memory that two or more processes can read from and write to. If the file-mapping object that references the shared memory has a name, the memory is referred to as "named shared memory."
sharepoint
A network resource that remote applications can address specifically and use across a network--for example, a printer or a shared directory. See also container.
shearing
A transformation that alters the apparent length and orientation of vertical or horizontal lines in an object.
shell
An application that enables users to group, start, and otherwise control other applications.
short filemark
A filemark that contains a short erase gap that cannot be overwritten unless the write operation is performed from the beginning of the partition or from an earlier long filemark.
show state
The collective qualities of a window at a given time (whether active or visible; minimized; maximized; or restored).
shut down
To stop all processes, flush all file-system buffers to disk, and bring the system to a condition in which it is safe to turn off the computer.
sibling window
A child window that has the same parent window as one or more other child windows.
SID
See security identifier (SID).
signaled
The state of an object used for synchronization in one of the wait functions. A signaled state can enable the wait function to return. See also nonsignaled, wait function.
signature
A 4-byte value that identifies an enhanced metafile. See also enhanced metafile.
simple combo box
A combo box in which the list box is visible at all times.
simple device
A media control interface (MCI) device that does not require a device element (data file) for playback. The MCI compact disc audio driver is an example of a simple device.
simple list
A list in a combo box that is always visible. Combo boxes with the CBS_SIMPLE style contain simple lists.
single-byte character set
A mapping of characters to their identifying numeric values, in which each value is one byte wide. The ANSI and original equipment manufacturer (OEM) character sets are single-byte character sets. See also character set, multibyte character set, Unicode.
single-selection list box
A list box in which only one item can be selected at a time.

sizing border A type of window border that enables the user to size the window by clicking and dragging the border.

SMPTE
See Society of Motion Picture and Television Engineers.
SMPTE division type
One of four SMPTE timing formats. SMPTE time is expressed in hours, minutes, seconds, and frames. The SMPTE division type specifies the frames-per-second value corresponding to a given SMPTE time. For example, a SMPTE time of one hour, 30 minutes, 24 seconds, and 15 frames is useful only if the frames-per-second value, or SMPTE division type, is known.
SMPTE offset
A Musical Instrument Digital Interface (MIDI) event that designates the SMPTE time at which playback of a MIDI file is to start. SMPTE offsets are used only with MIDI files using SMPTE division type.
SMPTE time
A standard representation of time developed for the video and film industries. SMPTE time is used with Musical Instrument Digital Interface (MIDI) audio because many people use MIDI to score films and video. SMPTE time is an absolute time format expressed in hours, minutes, seconds, and frames. Standard SMPTE division types are 24, 25, and 30 frames per second.
Society of Motion Picture and Television Engineers (SMPTE)
An association of engineers involved in movie, television, and video production. SMPTE also refers to SMPTE time, the timing standard that this group adopted.
solid brush
A logical brush created from a bitmap that contains pixels of the same color. See also bitmap, logical brush, pixel.
source
A configuration registry key that specifies message-file names for replacement strings in events logged by an application, service, or group of applications. Sources are subkeys of logfile keys. See also key, logfile, subkey.
square-wave synthesizer
A synthesizer that produces sound by adding square waves of various frequencies. A square wave is a rectangular waveform.
standard cursors
The default cursors that the system automatically displays when users move windows or icons, resize windows, or wait. Standard cursors include an arrow, hourglass, crosshair, and I-beam. Standard cursors are also known as system cursors. See also cursor, icon, window.
standard icons
The default icons that the system displays in system message boxes. Standard icons include, among other bitmaps, a stop sign and a circled exclamation point. See also icon.
standard resource
A resource whose format is defined and recognized by Windows. Standard resources include icons, cursors, menus, dialog boxes, bitmaps, fonts, keyboard accelerator tables, message-table entries, string-table entries, and version data.
standard scroll bar
A scroll bar created as part of the nonclient area of an overlapped, pop-up, or child window. See also scroll bar.
standard VGA
A video adapter that supports a resolution of 640 by 480 pixels and 16 simultaneous colors. See also pixel.
static control
An element of the Windows user interface used to display text and graphics that require no response from the user. Static controls are typically used in dialog boxes.
stock brush
One of seven logical brushes maintained by the system. See also logical brush.
stock pen
A cosmetic pen created and maintained by the window manager. There are three kinds of stock pens: black, white, and invisible. See also cosmetic pen.
streaming
The process of transferring information from a storage device, such as a hard disk or CD-ROM, to a device driver.
string atom
An atom that identifies a character string in an atom table. See also atom, atom table.
string handle
A doubleword value, assigned by the operating system, that identifies a string passed between a dynamic data exchange (DDE) client and a DDE server. See also dynamic data exchange (DDE).
stroked path
A path that is outlined by using the pen that is currently selected into an application's device context. See also device context, path, pen.
structured exception handling
A mechanism for handling hardware- and software-generated exceptions. Structured exception handling gives developers complete control over the handling of exceptions, provides support for debuggers, and is usable across all programming languages and computers.
style names
One of two attributes used to organize TrueType® fonts. Style names include extra-bold, bold, and italic. (The other attribute used to organize TrueType fonts is the family name.) See also TrueType font.
subclass procedure
An application-defined window procedure that replaces a window's original window procedure when the window is subclassed. See also subclassing, window procedure.
subclassing
A technique that allows an application to intercept and process messages sent or posted to a particular window before the window has a chance to process them. See also subclass procedure.
subdirectory
A directory within another directory. See also directory.
subkey
An entry (or node) in the registry subordinate to a given key. With the exception of four predefined keys, all keys are subkeys of other keys. See also key, registry.
sublanguage identifier
An 8-bit value identifying the variant of a language in a language identifier. See also language identifier, primary language identifier.
Subtractive color mixing
A method of color mixing that uses white as the base color, from which colors may be subtracted. If you begin with white, all colors are present in equal amounts. If you subtract cyan and yellow from white, the resulting image is magenta. In a green image, subtracting cyan will result in changing the image to yellow. The subtractive primary colors are cyan, yellow, and magenta.
subtractive color technology
The color technology, used by ink-based printers, that is based on the three primary colors cyan, yellow, and magenta. Other colors (except white) are obtained by combining two or more of the primaries in varying amounts. White is defined as the absence of the primaries. Black is defined as the presence of all the primaries.
super VGA
A video adapter that supports resolutions higher than 640-by-480 pixels or more than 16 simultaneous colors (or both).
superclass procedure
An application-defined window procedure that replaces the window procedure for a window of a particular window class when the class is superclassed. See also superclassing, window procedure.
superclassing
A technique that allows an application to create a new window class that has the basic functionality of the existing class, but with enhancements provided by the application. See also superclass procedure.
syllabary
A single character that represents what we would call a syllable, using consonant/vowel combinations as their linguistically-discrete units — for example, the sound created by "ta." This term would apply to Kana (Katakana and Hiragana) and Hangul scripts. Linguists use the word "syllabary" to define a system of phonemic (linguistically-distinct) syllabic units used in a language.
synchronization object
An object whose handle can be specified in one of the wait functions to coordinate the execution of multiple threads. Synchronization objects include change notification, console input, event, mutex, process, thread, and semaphore objects. See also object, wait function.
system access-control list (SACL)
An ACL that controls the generation of audit messages for attempts to access a securable object. The ability to get or set an object's SACL is controlled by a privilege typically held only by system administrators. See also access-control list (ACL), discretionary access-control list (DACL), privilege.
system directory
The directory that contains Windows libraries, drivers, and font files. See also directory.
system-exclusive data
In Musical Instrument Digital Interface (MIDI), messages understood only by MIDI devices from a specific manufacturer. MIDI device manufacturers can use system-exclusive data to define custom messages that can be exchanged between their MIDI devices. (The standard MIDI specification defines only a framework for system-exclusive messages.) See also Musical Instrument Digital Interface.
System menu
A pop-up menu, defined mainly by the operating system, that typically contains commands used to set a window's size or position, close a window or application, or activate a different application. See also pop-up menu.
system metric
A dimension of a Windows display element, such as the border width, scroll bar arrow height, icon height, and so on. System metrics may also describe other aspects of the operating system, such as whether a mouse is installed, whether the current version of Windows supports double-byte characters, and so on. See also scroll bar.
system paging file
The storage file that the kernel uses to hold pages of memory swapped out of RAM.
system palette
An array that identifies all of the colors that can be displayed simultaneously on a device. For most displays, this array is a subset of all possible colors that can appear on the display.
system time
The "real-time" clock format. System time uses a structure containing individual members for the date and time.


T

tagged file format
A file format in which data is tagged using standard headers that identify information type and length. See also Resource Interchange File Format (RIFF).
tape drive
A device that reads from and writes to a tape.
tape volume
A recording medium and its physical carrier.
tempo
The speed at which a Musical Instrument Digital Interface (MIDI) file is played. Tempo is measured in beats per minute (BPM); typical MIDI tempo is 120 BPM. See also Musical Instrument Digital Interface.
tension
To move the tape to the end-of-medium marker and back to the beginning-of-medium marker in one command.
termination handler
A mechanism by which a developer ensures that a block of termination code is executed. A termination handler consists of a guarded body of code and a termination block. See also guarded body of code.
thread
The basic entity to which the operating system allocates CPU time. A thread can execute any part of the application's code, including a part currently being executed by another thread. All threads of a process share the virtual address space, global variables, and operating system resources of the process. See also process.
thread affinity mask
A bit vector in which each bit represents the processors that a thread is allowed to run on.
thread local storage
A storage method in which an index can be used by multiple threads of the same process to store and retrieve a different value for each thread. See also thread.
threshold
For the joystick interface, the amount, in device units, that the stick coordinates must change before the application is notified of the movement. A high threshold reduces the number of joystick messages sent to an application, but it also reduces the sensitivity of the joystick.
time-out value
The interval, in milliseconds, measured by a timer.
timer
An internal routine that causes the system to send a WM_TIMER message whenever a specified interval elapses.
timer object
An interprocess synchronization object whose state is set to signaled when the specified due time arrives. See also due time, synchronization object.
time slice
A unit of processor time (in clock ticks) allocated to a thread. See also thread.
time stamp
A tag that enables a Musical Instrument Digital Interface (MIDI) sequencer to replay recorded MIDI data at the proper moment. See also Musical Instrument Digital Interface.
title bar
A window component that displays an application-defined line of text. Typically, the text identifies the application or indicates the purpose of the window.
TLS
See thread local storage.
TMSF time format
A time format used by Media Control Interface (MCI) to express time in tracks, minutes, seconds, and frames. The number of frames in a second depends on the type of device being used; compact disc audio devices use 75 frames per second. The TMSF time format is used primarily by compact disc audio devices. See also Media Control Interface (MCI).
token
See access token.
top-down DIB
A device-independent bitmap (DIB) whose origin lies at the top-left corner. See also bottom-up DIB.
top-level window
A window that has no parent window.
topic name
A string that identifies the type of data requested by a dynamic data exchange (DDE) client application.
topmost window
A window with the WS_EX_TOPMOST style. A topmost window overlaps all other non-topmost windows.
track
A sequence of sound on a compact disc – digital audio (CD-DA) disc. With a Musical Instrument Digital Interface (MIDI) file, information can be separated into tracks, defined by the creator of the file. MIDI file tracks can correspond to MIDI channels, or they can correspond to parts of a song (such as melody or chorus); a CD-DA track usually corresponds to a song. See also compact disc – digital audio.
transaction filter
A flag that prevents the Data Exchange Management Library (DDEML) from passing an unwanted type of transaction to an application's dynamic data exchange (DDE) callback function. See also dynamic data exchange (DDE).
transformation
An algorithm that alters ("transforms") the size, orientation, and shape of objects.
translation
A transformation that shifts an object farther from or closer to the coordinate-space origin.
tristimulus value
The amounts of the three primary color stimuli necessary to produce a color match by additive color mixing.
TrueType font
A font whose glyphs are stored as a collection of line and curve commands plus a collection of hints. Windows uses the line and curve commands to define the outline of the glyph's bitmap. Windows uses the hints to adjust the length of the lines and shapes of the curves. These hints and the respective adjustments are based on the amount of scaling used to reduce or increase the size of the bitmap. See also bitmap, font, glyph.
Trustee
In Windows NT security, a trustee is the user account, group account, or logon session to which an access-control entry (ACE) applies. Each ACE in an access-control list (ACL) applies to one trustee. See also access-control entry (ACE), access-control list (ACL).
try block
A guarded body of code in a try-except frame-based exception handler or try-finally termination handler. See also frame-based exception handler, guarded body of code, termination handler.


U

Unicode
A 16-bit character set capable of encoding all known characters and used as a worldwide character-encoding standard. Windows NT® uses Unicode exclusively; Windows® 95 and Windows® 98 do not.
universal well-known security identifier (SID)
A SID that is meaningful on all secure systems using the security model implemented in Windows NT®.
user-defined pen
A cosmetic or geometric pen that uses a unique series of dashes, dots, or dashes and dots defined by the user. See also cosmetic pen, geometric pen.
UTC
See Coordinated Universal Time.


V

value
Data associated with a key. A key may have zero or more values. Each value has three parts: a name, a type, and data. See also key.
vector device
A device that creates text and graphics output by drawing lines.
viewport
A rectangle in device space that is used to specify a transformation between page and device space. The viewport extents are always measured in pixels for a video display or dots for printers.
viewport extent
The width or height of the viewport.
viewport origin
The corner of the viewport from which the extents are measured. (The viewport-origin coordinates are specified with respect to the device-space origin.)
virtual-key code
A device-independent value that identifies the purpose of a keystroke as interpreted by the Windows keyboard device driver.
visible region
The part of the client area that is visible to the user.
visible window
A window that has the WS_VISIBLE style. A visible window is displayed on the screen and can receive user input.
volatile key
A key that is valid only until the next time the operating system is started. See also key.
volume
A storage medium, such as a disk or tape, that is formatted to contain files and directories. A volume is accessed through a disk drive. In a path, a volume is referenced by the letter of the disk drive that accesses the volume. For example, a fixed disk may be referred to as C. A single volume may be divided into more than one logical volume, also called a partition. Each partition is referenced by a unique volume identifier.
volume scalar
A component of a Musical Instrument Digital Interface (MIDI) Mapper patch map that adjusts the volume of a patch on a synthesizer. For example, if the bass patch on a synthesizer is too loud relative to the piano patch, the volume scalar can reduce the volume for the bass or increase the volume for the piano. (Applications playing waveform audio can also adjust the output volume.) See also MIDI Mapper, patch.


W

waitable timer object
See timer object.
wait function
A function that blocks the execution of the calling thread until a specified set of conditions has been met.
waiting thread
A thread whose execution is blocked while waiting for a wait function to return. See also wait function.
WAVE file
A Microsoft standard file format for storing waveform audio data. WAVE files have a .WAV filename extension.
waveform audio
A technique of recreating an audio waveform from digital samples of the waveform.
wide character
A synonym for a Unicode™ character; Unicode characters are 2 bytes wide.
widened path
A modified path. See also path.
wildcard characters
Characters that represent one or more characters in a filename. The Windows wildcard characters are the question mark (?) and the asterisk (*). The question mark matches any single character; the asterisk matches any combination of characters. For example, if a directory contains files with the names BAT, B12, BOAT, and CAT, the pattern b\* matches the names BAT, B12, and BOAT. The pattern b?t matches only the name BAT.
Win32 service
A service that conforms to the interface rules of the Service Control Manger. This enables the Service Control Manager to start the service at system startup or on demand and enables communication between the service and service control programs. A Win32 service can execute in its own process, or it can share a process with other Win32 services.
window
A rectangle in page space that is used to specify a transformation between page and device space.
window extent
The width or height of the window.
window handle
A 32-bit value, assigned by Windows, that uniquely identifies a window.
window name
A text string that identifies a window for the user.
window origin
(1) The upper left corner of a window's client area.

(2) The corner of the window from which the extents are measured. (The window-origin coordinates are specified with respect to the page-space origin.)

window procedure
A function, called by the operating system, that controls the appearance and behavior of its associated windows. The procedure receives and processes all messages to these windows.
window style
A named constant that defines an aspect of the window's appearance and behavior not specified by the window's class.
window text
See window name.
Windows directory
The directory that contains Windows-based applications, initialization files, and Help files. See also directory.
Windows metafile
One of two metafile formats. This format, used for applications written to run with Windows version 3.x, consists of a header and an array of metafile records. See also metafile record.
Windows time
The number of milliseconds since Windows started running. This time is recorded as a 32-bit value, so it overflows to zero every 49.7 days.
world coordinate space
The coordinate space in which all graphics device interface (GDI) drawing operations begin if an application has set the world-space to page-space transformation.
world space
The coordinate space in which all graphics device interface (GDI) drawing operations begin if an application has set the world-space to page-space transformation. Applications use world space to rotate shear, or reflect graphics output. World space measures 2^(32) units high by 2^(32) units wide, and is one of four coordinate spaces used in the Win32 API. See also device coordinate space, page coordinate space, and physical device.


X

x-axis
The axis that normally extends horizontally across a coordinate space.


Y

y-axis
The axis that normally extends vertically across a coordinate space.
YUV color space
A color space type that is true-color encoding. It uses one luminance value (Y) and two chroma values (UV). YUV is typically used by video displays.


Z

Z order
A stack of overlapping windows. Each window has a unique position in the Z order.


Topic Not Found

No matching topic was found. Some possible reasons and remedies are as follows:

  • The file (.chm) that contains the destination topic is not in the expected location.

Remedy: Rerun the MSDN Library Setup.

  • The file (.chm) that contains the current topic or destination topic is out-of-date and the link is no longer valid.

Remedy: Install the latest version of the MSDN Library.

  • The MSDN Library CD is not in the CD-ROM drive.

Remedy: Insert the MSDN Library CD into the CD-ROM drive.